"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaIcons = /*#__PURE__*/require("@sberdevices/plasma-icons");

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* eslint-disable */
var Icon = function Icon() {
  return /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconEye, {
    color: "inherit",
    size: "xs"
  });
};

describe('plasma-core: Badge', function () {
  var Badge = (0, _plasmaCyUtils.getComponent)('Badge');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Badge, {
      text: "Badge"
    })));
    cy.matchImageSnapshot();
  });
  it('with Icon', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Badge, {
      text: "Badge",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Badge, {
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('_sizes', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Badge, {
      text: "Badge_size_l",
      size: "l",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Badge, {
      text: "Badge_size_s",
      size: "s",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null)));
    cy.matchImageSnapshot();
  });
  it('_circled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, "circled :", /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Badge, {
      circled: true,
      size: "l",
      text: "18"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Badge, {
      circled: true,
      size: "s",
      text: "18"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), "simple :", /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Badge, {
      size: "l",
      text: "18"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Badge, {
      size: "s",
      text: "18"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null)));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=BadgeBase.component-test.js.map