"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaIcons = /*#__PURE__*/require("@sberdevices/plasma-icons");

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Icon = function Icon() {
  return /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconDownload, {
    color: "inherit"
  });
};

describe('plasma-core: Button', function () {
  var Button = (0, _plasmaCyUtils.getComponent)('Button');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Button, null, "Hello Plasma")));
    cy.matchImageSnapshot();
  });
  it('with Icon', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Button, {
      text: "with Icon",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "with Icon",
      contentRight: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "with Icon",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null),
      contentRight: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null),
      contentRight: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }, "text as children"), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null),
      contentRight: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }, /*#__PURE__*/_react["default"].createElement(Icon, null)), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, null, /*#__PURE__*/_react["default"].createElement(Icon, null)), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      contentRight: /*#__PURE__*/_react["default"].createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('_view', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Button, {
      view: "secondary",
      text: "Button_view_secondary",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "secondary",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "primary",
      text: "Button_view_primary",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "primary",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "success",
      text: "Button_view_success",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "success",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "warning",
      text: "Button_view_warning",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "warning",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "critical",
      text: "Button_view_critical",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "critical",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "checked",
      text: "Button_view_checked",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "checked",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "overlay",
      text: "Button_view_overlay",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "overlay",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "clear",
      text: "Button_view_clear",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      view: "clear",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null)));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Button, {
      text: "Button_size_l",
      size: "l",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "Button_size_m",
      size: "m",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "Button_size_s",
      size: "s",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null)));
    cy.matchImageSnapshot();
  });
  it('_shift', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "normal",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "_shift_left",
      shiftLeft: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "_shift_right",
      shiftRight: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      text: "_shift_right & _shift_left",
      shiftLeft: true,
      shiftRight: true,
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('_pin', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Button, {
      pin: "square-square",
      text: "pin me",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      pin: "square-clear",
      text: "pin me",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      pin: "clear-square",
      text: "pin me",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      pin: "clear-clear",
      text: "pin me",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      pin: "clear-circle",
      text: "pin me",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      pin: "circle-clear",
      text: "pin me",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Button, {
      pin: "circle-circle",
      text: "pin me",
      contentLeft: /*#__PURE__*/_react["default"].createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('withAutoFocus', function () {
    var withAutoFocus = (0, _plasmaCyUtils.getComponent)('withAutoFocus');
    var Focused = withAutoFocus(Button);
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Focused, {
      autoFocus: true,
      text: "Hello Plasma"
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=ButtonBase.component-test.js.map