import React from 'react';
import { DisabledProps } from '@sberdevices/plasma-core';
interface CoverProps {
    /**
     * Контент перекрывает собой картинку.
     */
    cover?: true;
    /**
     * Градиент контента.
     */
    coverGradient?: boolean;
}
interface NoCoverProps {
    cover?: false;
    coverGradient?: never;
}
interface OtherProps extends DisabledProps {
    compact?: boolean;
}
export declare type CardContentProps = (CoverProps | NoCoverProps) & OtherProps & React.HTMLAttributes<HTMLDivElement>;
/**
 * Компонент для отображения как текстового, так и любого другого контента.
 */
export declare const CardContent: React.FC<CardContentProps>;
export {};
//# sourceMappingURL=CardContent.d.ts.map