"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardPrice = void 0;

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

var _plasmaTokens = /*#__PURE__*/require("@sberdevices/plasma-tokens");

var _Price = /*#__PURE__*/require("../Price");

var _Typography = /*#__PURE__*/require("../Typography");

var _excluded = ["count", "currency", "oldPrice", "price"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var StyledRoot = /*#__PURE__*/(0, _styledComponents["default"])(_Typography.Body2).withConfig({
  componentId: "plasma-ui__sc-ct6g5m-0"
})(["display:flex;box-sizing:border-box;margin-top:0.75rem;"]);
var StyledPrice = /*#__PURE__*/(0, _styledComponents["default"])(_Price.Price).withConfig({
  componentId: "plasma-ui__sc-ct6g5m-1"
})(["height:2.5rem;color:", ";"], _plasmaTokens.primary);
var StyledOldPrice = /*#__PURE__*/(0, _styledComponents["default"])(_Price.Price).withConfig({
  componentId: "plasma-ui__sc-ct6g5m-2"
})(["height:2.5rem;margin-left:0.5rem;color:", ";"], _plasmaTokens.tertiary);
var StyledCount = /*#__PURE__*/(0, _styledComponents["default"])(_Typography.Body2).withConfig({
  componentId: "plasma-ui__sc-ct6g5m-3"
})(["box-sizing:border-box;height:2.5rem;margin-left:0.5rem;color:", ";"], _plasmaTokens.buttonAccent);

var CardPrice = function CardPrice(_ref) {
  var count = _ref.count,
      currency = _ref.currency,
      oldPrice = _ref.oldPrice,
      price = _ref.price,
      rest = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react["default"].createElement(StyledRoot, rest, /*#__PURE__*/_react["default"].createElement(StyledPrice, {
    currency: currency
  }, price), oldPrice && /*#__PURE__*/_react["default"].createElement(StyledOldPrice, {
    currency: currency,
    stroke: true
  }, oldPrice), count ? /*#__PURE__*/_react["default"].createElement(StyledCount, null, "\xD7", count) : '');
};

exports.CardPrice = CardPrice;
//# sourceMappingURL=CardPrice.js.map