import React from 'react';
import { FocusProps, OutlinedProps } from '@sberdevices/plasma-core';
import type { AsProps } from '@sberdevices/plasma-core';
export declare const CellRoot: import("styled-components").StyledComponent<"div", any, FocusProps & OutlinedProps, never>;
export declare type CellSize = 'xs' | 's' | 'm' | 'l' | 'xl' | 'xxl';
declare type alignLeftProp = 'center' | 'top' | 'bottom';
declare type alignRightProp = 'center' | 'top';
export declare const CellLeft: import("styled-components").StyledComponent<"div", any, {
    align: alignLeftProp;
}, never>;
export declare const CellRight: import("styled-components").StyledComponent<"div", any, {
    align: alignRightProp;
}, never>;
/** Оборачивает ( content + right ) */
export declare const CellContentWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const CellContent: import("styled-components").StyledComponent<"div", any, {}, never>;
export interface CellIconProps {
    /** Размер Иконки ( по умолчанию – m ) */
    size?: CellSize;
}
export declare const CellIcon: import("styled-components").StyledComponent<"div", any, CellIconProps, never>;
export interface CellProps extends FocusProps, OutlinedProps, AsProps {
    /**
     * Слот для контента слева.
     */
    contentLeft?: React.ReactNode;
    /**
     * Контент.
     */
    content: React.ReactNode;
    /**
     * Слот для контента слева.
     */
    contentRight?: React.ReactNode;
    /**
     * Вертикальное выравнивание контента слева.
     */
    alignLeft?: alignLeftProp;
    /**
     * Вертикальное выравнивание контента справа.
     */
    alignRight?: alignRightProp;
}
/**
 * Базовый компонент для отображения блоков контента в списках и карточках.
 */
export declare const Cell: React.FC<CellProps & React.HTMLAttributes<HTMLDivElement>>;
export {};
//# sourceMappingURL=Cell.d.ts.map