"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: Checkbox', function () {
  var Checkbox = (0, _plasmaCyUtils.getComponent)('Checkbox');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, null)));
    cy.matchImageSnapshot();
  });
  it('with focus', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      label: "checkbox with focus"
    })));
    cy.get('input').focus();
    cy.matchImageSnapshot();
  });
  it('__label', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      label: "simple checkbox"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      label: /*#__PURE__*/_react["default"].createElement("span", null, "chekbox with ", /*#__PURE__*/_react["default"].createElement("a", {
        href: "https://plasma.sberdevices.ru/"
      }, "link"))
    })));
    cy.matchImageSnapshot();
  });
  it('__description', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      label: "simple checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      label: "simple checkbox",
      description: /*#__PURE__*/_react["default"].createElement("span", null, "\u041E\u0431 ", /*#__PURE__*/_react["default"].createElement("a", {
        href: "https://plasma.sberdevices.ru/"
      }, "\u044D\u043B\u0435\u043A\u0442\u0440\u043E\u043E\u0432\u0446\u0430\u0445"))
    })));
    cy.matchImageSnapshot();
  });
  it('_checked', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      checked: true,
      label: "checkbox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      label: "checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_focused', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      focused: true,
      checked: true,
      label: "checkbox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      focused: true,
      label: "checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      focused: true,
      indeterminate: true,
      label: "indeterminate checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_indeterminate', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      indeterminate: true,
      label: "indeterminate checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      checked: true,
      disabled: true,
      label: "checkbox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      disabled: true,
      label: "checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      indeterminate: true,
      disabled: true,
      label: "indeterminate checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('squeezes', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        overflow: 'hidden',
        width: 150
      }
    }, /*#__PURE__*/_react["default"].createElement(Checkbox, {
      checked: true,
      disabled: true,
      label: "Checkbox with a very very very very very long label",
      description: "Checkbox description with a very very very very very long text"
    }), /*#__PURE__*/_react["default"].createElement(Checkbox, {
      disabled: true,
      label: "Checkbox 2",
      description: "Checkbox 2 description"
    }))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=CheckboxBase.component-test.js.map