import { ColProps as BaseProps } from '@sberdevices/plasma-core';
export interface ColProps extends BaseProps {
    /**
     * Тип ячейки
     */
    type?: 'rel' | 'calc';
}
/**
 * Блок для размещения контента или строк (``Row``) внутри себя.
 *
 * ``<Col type="rel" />`` — предназначается для верстки с страниц. Поведение по умолчанию.
 * Ширина и отступ данного подтипа колонок имеют относительное значение, которое выражается в процентах.
 *
 * ``<Col type="calc" />`` — предназначается для верстки каруселей.
 * Ширина и отступ данного подтипа колонок рассчитываются на основе ширины контейнера и хранятся в ``CSS Variables``.
 * С примером использования можно ознакомиться в документации по [каруселям](/?path=/docs/controls-carousel--basic).
 */
export declare const Col: import("styled-components").StyledComponent<"div", any, ColProps, never>;
//# sourceMappingURL=Col.d.ts.map