"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Filler = /*#__PURE__*/_styledComponents["default"].div.withConfig({
  componentId: "plasma-ui__sc-jf1jqu-0"
})(["box-sizing:border-box;display:flex;align-items:center;justify-content:center;width:100%;padding:0.5rem 1rem;background-color:rgba(255,255,255,0.06);"]);

describe('plasma-core: Grid', function () {
  var Container = (0, _plasmaCyUtils.getComponent)('Container');
  var Row = (0, _plasmaCyUtils.getComponent)('Row');
  var Col = (0, _plasmaCyUtils.getComponent)('Col');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Container, null, /*#__PURE__*/_react["default"].createElement(Row, null, /*#__PURE__*/_react["default"].createElement(Col, {
      size: 1
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "1")), /*#__PURE__*/_react["default"].createElement(Col, {
      size: 2
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "2")), /*#__PURE__*/_react["default"].createElement(Col, {
      size: 3
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "3")), /*#__PURE__*/_react["default"].createElement(Col, {
      size: 4
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "4")), /*#__PURE__*/_react["default"].createElement(Col, {
      size: 2
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "2"))), /*#__PURE__*/_react["default"].createElement(Row, null, /*#__PURE__*/_react["default"].createElement(Col, {
      size: 3,
      offset: 1
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "3 offset 1")), /*#__PURE__*/_react["default"].createElement(Col, {
      size: 6,
      offset: 2
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "6 offset 2"))))));
    cy.matchImageSnapshot();
  });
});
describe('plasma-core: Grid _size', function () {
  var Container = (0, _plasmaCyUtils.getComponent)('Container');
  var Row = (0, _plasmaCyUtils.getComponent)('Row');
  var Col = (0, _plasmaCyUtils.getComponent)('Col');

  var Grid = function Grid() {
    return /*#__PURE__*/_react["default"].createElement(Container, null, /*#__PURE__*/_react["default"].createElement(Row, null, /*#__PURE__*/_react["default"].createElement(Col, {
      sizeS: 1,
      sizeM: 2,
      sizeL: 3,
      sizeXL: 4
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "1")), /*#__PURE__*/_react["default"].createElement(Col, {
      size: 2,
      sizeXL: 4
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "2"))), /*#__PURE__*/_react["default"].createElement(Row, null, /*#__PURE__*/_react["default"].createElement(Col, {
      size: 3,
      offsetS: 1,
      offsetM: 2,
      offsetL: 3,
      offsetXL: 4
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "3 offset 1")), /*#__PURE__*/_react["default"].createElement(Col, {
      size: 6,
      offset: 2,
      offsetXL: 4
    }, /*#__PURE__*/_react["default"].createElement(Filler, null, "6 offset 2"))));
  };

  it('_S', function () {
    cy.viewport(375, 200);
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
  it('_M', function () {
    cy.viewport(1280, 200);
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
  it('_L', function () {
    cy.viewport(1920, 200);
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
  it('_XL', function () {
    cy.viewport(2000, 200);
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=GridBase.component-test.js.map