import React from 'react';
interface MinimizeProps {
    minimize?: true;
    onMinimizeClick?: React.MouseEventHandler<HTMLButtonElement>;
    back?: false;
    onBackClick?: never;
}
interface BackProps {
    /**
     * Показывать кнопку "назад"
     */
    back?: true;
    /**
     * Обработчик клика по кнопке "назад"
     */
    onBackClick?: React.MouseEventHandler<HTMLButtonElement>;
    minimize?: false;
    onMinimizeClick?: false;
}
interface LogoProps {
    /**
     * Путь до картинки с логотипом (src)
     */
    logo: string;
    /**
     * Alt логотипа
     */
    logoAlt?: string;
}
interface NoLogoProps {
    logo?: undefined;
    logoAlt?: never;
}
interface TitleProps {
    /**
     * Заголовок страницы
     */
    title: string;
    /**
     * Подзаголовок страницы
     */
    subtitle?: string;
}
interface NoTitleProps {
    title?: undefined;
    subtitle?: never;
}
export declare type HeaderProps = React.HTMLAttributes<HTMLDivElement> & (MinimizeProps | BackProps) & (LogoProps | NoLogoProps) & (TitleProps | NoTitleProps);
/**
 * Сборный компонент для отрисовки шапки страницы.
 * Уже включает в себя все составные части шапки.
 */
export declare const Header: React.FC<HeaderProps>;
export {};
//# sourceMappingURL=Header.d.ts.map