"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Header = void 0;

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _HeaderRoot = /*#__PURE__*/require("./HeaderRoot");

var _HeaderMinimize = /*#__PURE__*/require("./HeaderMinimize");

var _HeaderBack = /*#__PURE__*/require("./HeaderBack");

var _HeaderLogo = /*#__PURE__*/require("./HeaderLogo");

var _HeaderSubtitle = /*#__PURE__*/require("./HeaderSubtitle");

var _HeaderTitle = /*#__PURE__*/require("./HeaderTitle");

var _HeaderTitleWrapper = /*#__PURE__*/require("./HeaderTitleWrapper");

var _HeaderContent = /*#__PURE__*/require("./HeaderContent");

var _excluded = ["children"],
    _excluded2 = ["minimize", "back", "logo", "logoAlt", "title", "subtitle", "onMinimizeClick", "onBackClick"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * Сборный компонент для отрисовки шапки страницы.
 * Уже включает в себя все составные части шапки.
 */
var Header = function Header(_ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var _ref2 = props,
      minimize = _ref2.minimize,
      back = _ref2.back,
      logo = _ref2.logo,
      logoAlt = _ref2.logoAlt,
      title = _ref2.title,
      subtitle = _ref2.subtitle,
      onMinimizeClick = _ref2.onMinimizeClick,
      onBackClick = _ref2.onBackClick,
      rest = _objectWithoutProperties(_ref2, _excluded2);

  return /*#__PURE__*/_react["default"].createElement(_HeaderRoot.HeaderRoot, rest, minimize && /*#__PURE__*/_react["default"].createElement(_HeaderMinimize.HeaderMinimize, {
    onClick: onMinimizeClick
  }), back && /*#__PURE__*/_react["default"].createElement(_HeaderBack.HeaderBack, {
    onClick: onBackClick
  }), logo && /*#__PURE__*/_react["default"].createElement(_HeaderLogo.HeaderLogo, {
    src: logo,
    alt: logoAlt
  }), title && /*#__PURE__*/_react["default"].createElement(_HeaderTitleWrapper.HeaderTitleWrapper, null, /*#__PURE__*/_react["default"].createElement(_HeaderTitle.HeaderTitle, null, title), subtitle && /*#__PURE__*/_react["default"].createElement(_HeaderSubtitle.HeaderSubtitle, null, subtitle)), children && /*#__PURE__*/_react["default"].createElement(_HeaderContent.HeaderContent, null, children));
};

exports.Header = Header;
//# sourceMappingURL=Header.js.map