"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _react = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var src = 'https://plasma.sberdevices.ru/ui-storybook/images/320_320_0.jpg';
describe('plasma-core: Image', function () {
  var Image = (0, _plasmaCyUtils.getComponent)('Image');

  var Why = _styledComponents["default"].div.withConfig({
    componentId: "plasma-ui__sc-71uqdl-0"
  })(["width:8rem;display:inline-block;"]);

  beforeEach(function () {
    cy.intercept(src, function (req) {
      req.reply({
        fixture: 'images/320_320_0.jpg'
      });
    });
  });
  it('default', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Image, {
      src: src,
      width: "320px",
      height: "320px"
    })));
    cy.matchImageSnapshot();
  });
  it('div', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Image, {
      base: "div",
      src: src,
      width: "320px",
      height: "320px"
    })));
    cy.matchImageSnapshot();
  });
  it('_ratio', function () {
    var ratios = Object.keys({
      '1 / 1': '100',
      '1/1': '100',
      '3 / 4': '133.3333',
      '3/4': '133.3333',
      '4 / 3': '75',
      '4/3': '75',
      '9 / 16': '177.7778',
      '9/16': '177.7778',
      '16 / 9': '56.25',
      '16/9': '56.25',
      '1 / 2': '200',
      '1/2': '200',
      '2 / 1': '50',
      '2/1': '50'
    });
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, ratios.map(function (ratio) {
      return /*#__PURE__*/_react["default"].createElement(_react.Fragment, {
        key: ratio
      }, /*#__PURE__*/_react["default"].createElement(Why, {
        key: "_base_div"
      }, /*#__PURE__*/_react["default"].createElement(Image, {
        base: "div",
        ratio: ratio,
        src: src
      })), /*#__PURE__*/_react["default"].createElement(Why, {
        key: "_base_img"
      }, /*#__PURE__*/_react["default"].createElement(Image, {
        ratio: ratio,
        src: src
      })), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null));
    })));
    cy.matchImageSnapshot();
  });
  it('_customRatio', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Why, {
      key: "_base_div"
    }, /*#__PURE__*/_react["default"].createElement(Image, {
      base: "div",
      customRatio: 75,
      src: src
    })), /*#__PURE__*/_react["default"].createElement(Why, {
      key: "_base_img"
    }, /*#__PURE__*/_react["default"].createElement(Image, {
      customRatio: 75,
      src: src
    })), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null)));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Image.component-test.js.map