"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MarkedItem = exports.MarkedList = void 0;

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

var _plasmaTokens = /*#__PURE__*/require("@sberdevices/plasma-tokens");

var _excluded = ["text", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * Компонент для создания маркированных списков.
 */
var MarkedList = /*#__PURE__*/_styledComponents["default"].ul.withConfig({
  componentId: "plasma-ui__sc-9a6m8u-0"
})(["list-style-type:none;margin:0;padding:0;"]);

exports.MarkedList = MarkedList;

var StyledMarkedItem = /*#__PURE__*/_styledComponents["default"].li.withConfig({
  componentId: "plasma-ui__sc-9a6m8u-1"
})(["", ";display:flex;align-items:center;margin-top:0.75rem;"], _plasmaTokens.footnote1);

var StyledItemText = /*#__PURE__*/_styledComponents["default"].span.withConfig({
  componentId: "plasma-ui__sc-9a6m8u-2"
})(["* + &{margin-left:0.75rem;}"]);

var MarkedItem = function MarkedItem(_ref) {
  var text = _ref.text,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react["default"].createElement(StyledMarkedItem, props, children, text && /*#__PURE__*/_react["default"].createElement(StyledItemText, null, text));
};

exports.MarkedItem = MarkedItem;
//# sourceMappingURL=MarkedList.js.map