"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _plasmaIcons = /*#__PURE__*/require("@sberdevices/plasma-icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

describe('plasma-ui: SmartPaginationDots', function () {
  var SmartPaginationDots = (0, _plasmaCyUtils.getComponent)('SmartPaginationDots');
  var ActionButton = (0, _plasmaCyUtils.getComponent)('ActionButton');
  var Caption = (0, _plasmaCyUtils.getComponent)('Caption');

  var StyledWrapper = _styledComponents["default"].div.withConfig({
    componentId: "plasma-ui__sc-ic8ciy-0"
  })(["display:flex;flex-direction:column;"]);

  var StyledButtonGroup = _styledComponents["default"].div.withConfig({
    componentId: "plasma-ui__sc-ic8ciy-1"
  })(["display:flex;align-self:center;align-items:center;"]);

  var StyledGhostButton = (0, _styledComponents["default"])(ActionButton).attrs(function () {
    return {
      view: 'clear',
      outlined: false
    };
  }).withConfig({
    componentId: "plasma-ui__sc-ic8ciy-2"
  })(["padding:0;"]);
  it('simple', function () {
    var items = Array.from(Array(10), function (_, i) {
      return {
        id: i
      };
    });
    var minIndex = 0;
    var maxIndex = items.length - 1;

    var Example = function Example() {
      var _React$useState = _react["default"].useState(0),
          _React$useState2 = _slicedToArray(_React$useState, 2),
          currentIndex = _React$useState2[0],
          setIndex = _React$useState2[1];

      return /*#__PURE__*/_react["default"].createElement(StyledWrapper, null, /*#__PURE__*/_react["default"].createElement(SmartPaginationDots, {
        items: items,
        index: currentIndex
      }), /*#__PURE__*/_react["default"].createElement(StyledButtonGroup, null, /*#__PURE__*/_react["default"].createElement(StyledGhostButton, {
        id: "cy-left",
        onClick: function onClick() {
          return setIndex(currentIndex - 1 >= minIndex ? currentIndex - 1 : maxIndex);
        },
        size: "s"
      }, /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconChevronLeft, {
        size: "xs"
      })), /*#__PURE__*/_react["default"].createElement(Caption, null, currentIndex), /*#__PURE__*/_react["default"].createElement(StyledGhostButton, {
        id: "cy-right",
        onClick: function onClick() {
          return setIndex(currentIndex + 1 <= maxIndex ? currentIndex + 1 : minIndex);
        },
        size: "s"
      }, /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconChevronRight, {
        size: "xs"
      }))));
    };

    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Example, null)));
    cy.matchImageSnapshot();
    cy.get('#cy-right').click();
    cy.matchImageSnapshot('+1');
    Array.from(Array(7)).forEach(function () {
      cy.get('#cy-right').click();
    });
    cy.matchImageSnapshot('+8');
    cy.get('#cy-right').click();
    cy.matchImageSnapshot('+9');
    cy.get('#cy-right').click();
    cy.matchImageSnapshot('+10');
    cy.get('#cy-left').click();
    cy.matchImageSnapshot('-1');
    Array.from(Array(7)).forEach(function () {
      cy.get('#cy-left').click();
    });
    cy.matchImageSnapshot('-8');
    cy.get('#cy-left').click();
    cy.matchImageSnapshot('-9');
    cy.get('#cy-left').click();
    cy.matchImageSnapshot('-10');
  });
});
//# sourceMappingURL=SmartPaginationDots.component-test.js.map