"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* eslint-disable cypress/no-unnecessary-waiting */
var noop = function noop() {};

describe('plasma-ui: DatePicker', function () {
  var DatePicker = (0, _plasmaCyUtils.getComponent)('DatePicker');

  var AutofocusedDatePicker = function AutofocusedDatePicker() {
    return /*#__PURE__*/_react["default"].createElement(DatePicker, {
      scrollSnapType: "none",
      onChange: noop,
      infiniteScroll: false,
      value: new Date(2022, 0, 12),
      min: new Date(2000, 3, 15),
      max: new Date(2025, 10, 30),
      autofocus: true
    });
  };

  it('default', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(DatePicker, {
      value: new Date(1985, 8, 1),
      min: new Date(1975, 1, 1),
      max: new Date(1985, 10, 30)
    })));
    cy.matchImageSnapshot();
  });
  it('without infiniteScroll', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(DatePicker, {
      infiniteScroll: false,
      value: new Date(1980, 8, 1),
      min: new Date(1975, 1, 1),
      max: new Date(1985, 10, 30)
    })));
    cy.matchImageSnapshot();
  });
  it('change values', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(DatePicker, {
      scrollSnapType: "none",
      onChange: noop,
      value: new Date(1985, 8, 1),
      min: new Date(1975, 1, 1),
      max: new Date(1995, 10, 30)
    }))); // отключение анимаций на всех div'ах внутри окружения, TODO: перенести в plasma-cy-utils?

    cy.get('div').invoke('attr', 'style', 'transition: unset; animation: none; scroll-snap-type: none;');
    cy.get('div > div:nth-child(1)').contains('5').click({
      force: true
    });
    cy.wait(150);
    cy.get('div > div:nth-child(2)').contains('мая').click({
      force: true
    });
    cy.wait(150);
    cy.get('div > div:nth-child(3)').contains('1979').click({
      force: true
    });
    cy.wait(1000);
    cy.matchImageSnapshot();
  });
  it('with controls', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(DatePicker, {
      value: new Date(1980, 8, 1),
      min: new Date(1975, 1, 1),
      max: new Date(1985, 10, 30),
      controls: true,
      autofocus: true
    })));
    cy.matchImageSnapshot();
  });
  it('jump 10 down', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(AutofocusedDatePicker, null)));
    cy.get('body').type('{pagedown}');
    cy.wait(100);
    cy.matchImageSnapshot();
  });
  it('jump 10 up', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(AutofocusedDatePicker, null)));
    cy.get('body').type('{pageup}');
    cy.wait(100);
    cy.matchImageSnapshot();
  });
  it('jump home', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(AutofocusedDatePicker, null)));
    cy.get('body').type('{home}');
    cy.wait(100);
    cy.matchImageSnapshot();
  });
  it('jump end', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(AutofocusedDatePicker, null)));
    cy.get('body').type('{end}');
    cy.wait(100);
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=DatePicker.component-test.js.map