import React from 'react';
import { SimpleDatePickerProps } from './SimpleDatePicker';
declare const defaultOptions: {
    years: boolean;
    months: boolean;
    days: boolean;
    shortMonthName: boolean;
};
export interface DatePickerProps extends Omit<SimpleDatePickerProps, 'type' | 'from' | 'to' | 'onChange'> {
    /**
     * Обработчик изменения
     */
    onChange?: (value: Date) => void;
    /**
     * Значение контрола
     */
    value: Date;
    /**
     * Максимальное значение даты
     */
    max: Date;
    /**
     * Минимальное значение даты
     */
    min: Date;
    /**
     * Формат выводимого значения
     */
    options?: Partial<typeof defaultOptions>;
    /**
     * Сменить WAI-ARIA Label списка дней.
     */
    daysAriaLabel?: string;
    /**
     * Сменить WAI-ARIA Label списка месяцев.
     */
    monthsAriaLabel?: string;
    /**
     * Сменить WAI-ARIA Label списка годов.
     */
    yearsAriaLabel?: string;
}
/**
 * Компонент для выбора даты.
 */
export declare const DatePicker: React.FC<DatePickerProps>;
export {};
//# sourceMappingURL=DatePicker.d.ts.map