"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var noop = function noop() {};

describe('plasma-ui: TimePicker', function () {
  var TimePicker = (0, _plasmaCyUtils.getComponent)('TimePicker');
  it('default', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TimePicker, {
      value: new Date(1980, 8, 1, 0, 28, 59),
      min: new Date(1975, 1, 1, 0, 15, 29),
      max: new Date(1985, 10, 30, 12, 30, 30)
    })));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    var props = {
      value: new Date(1980, 8, 1, 1, 28, 58),
      min: new Date(1975, 1, 1, 0, 15, 29),
      max: new Date(1985, 10, 30, 12, 30, 30),
      infiniteScroll: false,
      visibleItems: 3
    };
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TimePicker, _extends({
      size: "xs"
    }, props)), /*#__PURE__*/_react["default"].createElement(TimePicker, _extends({
      size: "s"
    }, props)), /*#__PURE__*/_react["default"].createElement(TimePicker, _extends({
      size: "l"
    }, props))));
    cy.matchImageSnapshot();
  });
  it('without infiniteScroll', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TimePicker, {
      infiniteScroll: false,
      value: new Date(1980, 8, 1, 0, 28, 59),
      min: new Date(1975, 1, 1, 0, 15, 29),
      max: new Date(1985, 10, 30, 12, 30, 30)
    })));
    cy.matchImageSnapshot();
  });
  it('change values by click', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TimePicker, {
      scrollSnapType: "none",
      step: 2,
      onChange: noop,
      value: new Date(1980, 8, 1, 0, 28, 59),
      min: new Date(1975, 1, 1, 0, 15, 29),
      max: new Date(1985, 10, 30, 12, 30, 30)
    }))); // отключение анимаций на всех div'ах внутри окружения, TODO: перенести в plasma-cy-utils?

    cy.get('div').invoke('attr', 'style', 'transition: unset; animation: none; scroll-snap-type: none;');
    cy.get('div > div:nth-child(1)').contains('03').click({
      force: true
    });
    cy.wait(150);
    cy.get('div > div:nth-child(3)').contains('04').click({
      force: true
    });
    cy.wait(150);
    cy.get('div > div:nth-child(5)').contains('06').click({
      force: true
    });
    cy.wait(1000);
    cy.matchImageSnapshot();
  });
  it('should error', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TimePicker, {
      scrollSnapType: "none",
      step: 9,
      onChange: noop,
      value: new Date(1980, 8, 1, 0, 28, 25),
      max: new Date(1975, 1, 1, 0, 15, 29),
      min: new Date(1985, 10, 30, 12, 30, 30)
    })));
    cy.on('fail', function (err) {
      var errorMessage = err.toString().match(/Passed value/);

      if (errorMessage !== null && errorMessage !== void 0 && errorMessage.length) {
        expect('Passed value').to.equal(errorMessage[0]);
        return false;
      }
    });
  });
});
describe('plasma-ui: TimePicker update value', function () {
  var TimePicker = (0, _plasmaCyUtils.getComponent)('TimePicker');
  var Button = (0, _plasmaCyUtils.getComponent)('Button');

  function Demo(_ref) {
    var value = _ref.value;

    var _React$useState = _react["default"].useState(new Date(1980, 8, 1, 0, 28, 25)),
        _React$useState2 = _slicedToArray(_React$useState, 2),
        state = _React$useState2[0],
        setState = _React$useState2[1];

    var onClick = _react["default"].useCallback(function () {
      setState(value);
    }, [value]);

    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(TimePicker, {
      scrollSnapType: "none",
      step: 1,
      onChange: noop,
      value: state,
      min: new Date(1975, 1, 1, 0, 15, 29),
      max: new Date(1985, 10, 30, 12, 30, 30)
    }), /*#__PURE__*/_react["default"].createElement(Button, {
      onClick: onClick
    }, "\u0418\u0437\u043C\u0435\u043D\u0438\u0442\u044C \u0437\u043D\u0430\u0447\u0435\u043D\u0438\u0435"));
  }

  it('change values', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Demo, {
      value: new Date(1980, 8, 1, 3, 30, 35)
    })));
    cy.get('button').click();
    cy.matchImageSnapshot();
  });
  it('change values with max', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Demo, {
      value: new Date(1980, 8, 1, 12, 30, 25)
    })));
    cy.get('button').click();
    cy.matchImageSnapshot();
  });
  it('change values with min', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Demo, {
      value: new Date(1980, 8, 1, 0, 15, 25)
    })));
    cy.get('button').click();
    cy.matchImageSnapshot();
  });
  it('with controls', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TimePicker, {
      value: new Date(1980, 8, 1, 0, 28, 59),
      min: new Date(1975, 1, 1, 0, 15, 29),
      max: new Date(1985, 10, 30, 12, 30, 30),
      controls: true,
      autofocus: true
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TimePicker.component-test.js.map