"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: Price', function () {
  var Price = (0, _plasmaCyUtils.getComponent)('Price'); // TODO: why we need global styles on body ?

  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/_react["default"].createElement(Price, null, "12345.67")));
    cy.matchImageSnapshot();
  });
  it('_currency', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/_react["default"].createElement(Price, {
      currency: "rub"
    }, "12345.67"), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Price, {
      currency: "usd"
    }, "12345.67"), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Price, {
      currency: "eur"
    }, "12345.67")));
    cy.matchImageSnapshot();
  });
  it('_stroke', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/_react["default"].createElement(Price, {
      stroke: true
    }, "12345.67")));
    cy.matchImageSnapshot();
  });
  it('_minFraction', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/_react["default"].createElement(Price, {
      minimumFractionDigits: 4
    }, "12345.6789")));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=PriceBase.component-test.js.map