"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var src = 'https://plasma.sberdevices.ru/ui-storybook/images/320_320_0.jpg';
describe('plasma-ui: ProductCard', function () {
  var Badge = (0, _plasmaCyUtils.getComponent)('Badge');
  var CardMedia = (0, _plasmaCyUtils.getComponent)('CardMedia');
  var ProductCard = (0, _plasmaCyUtils.getComponent)('ProductCard');
  it('default', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ProductCard, {
      style: {
        width: '12.25rem'
      },
      badge: /*#__PURE__*/_react["default"].createElement(Badge, {
        text: "-20%",
        size: "l"
      }),
      media: /*#__PURE__*/_react["default"].createElement(CardMedia, {
        src: src,
        alt: "\u041C\u043E\u043B\u043E\u043A\u043E",
        width: "12.25rem",
        height: "12.25rem"
      }),
      text: "\u041C\u043E\u043B\u043E\u043A\u043E \u0432 \u0434\u0435\u0440\u0435\u0432\u043D\u0435 \u0443\u043B\u044C\u0442\u0440\u0430\u043F\u0430\u0441\u0442\u0435\u0440\u0438\u0437\u043E\u0432\u0430\u043D\u043D\u043E\u0435 \u041C\u043E\u043C\u0435\u043D\u0442\u0438\u043A\u0438 925 \u043C\u043B",
      price: 69,
      quantity: 0
    })));
    cy.matchImageSnapshot();
  });
  it('positive quantity', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ProductCard, {
      style: {
        width: '12.25rem'
      },
      badge: /*#__PURE__*/_react["default"].createElement(Badge, {
        text: "-20%",
        size: "l"
      }),
      media: /*#__PURE__*/_react["default"].createElement(CardMedia, {
        src: src,
        alt: "\u041C\u043E\u043B\u043E\u043A\u043E",
        width: "12.25rem",
        height: "12.25rem"
      }),
      text: "\u0411\u0435\u043A\u043E\u043D\u0430\u0439\u0437\u0435\u0440 \u0441 \u0441\u044B\u0440\u043E\u043C, \u0437\u0435\u043B\u0435\u043D\u044C\u044E, \u0431\u043E\u043B\u044C\u0448\u043E\u0439 \u043A\u043E\u0442\u043B\u0435\u0442...",
      price: 89,
      oldPrice: 100,
      quantity: 1
    })));
    cy.matchImageSnapshot();
  });
  it('disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ProductCard, {
      style: {
        width: '12.25rem'
      },
      badge: /*#__PURE__*/_react["default"].createElement(Badge, {
        text: "\u0411\u043E\u043B\u044C\u0448\u0435 \u043D\u0435\u0442",
        view: "warning",
        size: "l"
      }),
      media: /*#__PURE__*/_react["default"].createElement(CardMedia, {
        src: src,
        alt: "\u041C\u043E\u043B\u043E\u043A\u043E",
        width: "12.25rem",
        height: "12.25rem"
      }),
      text: "\u0421\u043C\u0430\u0440\u0442\u0444\u043E\u043D Midnight Midnight 13 128GB Midnight",
      price: 79289,
      oldPrice: 89109,
      quantity: 1,
      disabled: true
    })));
    cy.matchImageSnapshot();
  });
  it('custom color', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ProductCard, {
      style: {
        width: '12.25rem'
      },
      badge: /*#__PURE__*/_react["default"].createElement(Badge, {
        text: "\u0411\u043E\u043B\u044C\u0448\u0435 \u043D\u0435\u0442",
        view: "warning",
        size: "l"
      }),
      media: /*#__PURE__*/_react["default"].createElement(CardMedia, {
        src: src,
        alt: "\u041C\u043E\u043B\u043E\u043A\u043E",
        width: "12.25rem",
        height: "12.25rem"
      }),
      text: "\u0411\u043E\u043B\u044C\u0448\u043E\u0439 \u0432\u0435\u0441\u0435\u043D\u043D\u0438\u0439 \u0431\u0443\u043A\u0435\u0442",
      price: 7555,
      quantity: 1,
      backgroundColor: "#A07589"
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=ProductCard.component-test.js.map