import React, { ReactNode } from 'react';
import type { DisabledProps } from '@sberdevices/plasma-core';
import type { CardProps } from '../Card/Card';
import type { ProductCardStepperProps } from './ProductCardStepper';
export interface ProductCardProps extends CardProps, DisabledProps {
    /**
     * Слот под картинку.
     */
    media?: ReactNode;
    /**
     * Слот под бейдж (-и).
     */
    badge?: ReactNode;
    /**
     * Текст или название карточки.
     */
    text?: string;
    /**
     * Актуальная цена.
     */
    price?: number;
    /**
     * Старая (перечеркнутая) цена.
     */
    oldPrice?: number;
    /**
     * Количество.
     */
    quantity?: ProductCardStepperProps['value'];
    /**
     * Колбек изменени количества.
     */
    onQuantityChange?: ProductCardStepperProps['onChange'];
    /**
     * Шаг изменения количества.
     */
    quantityStep?: ProductCardStepperProps['step'];
    /**
     * Минимальное количества.
     */
    quantityMin?: ProductCardStepperProps['min'];
    /**
     * Максимальное количества.
     */
    quantityMax?: ProductCardStepperProps['max'];
    /**
     * Слот под степпер.
     */
    stepper?: ReactNode;
    /**
     * Цвет подложки и градиента карточки.
     */
    backgroundColor?: string;
}
/**
 * Карточка продукта с возможностью указания картинки, текста, цены и выбора количества.
 */
export declare const ProductCard: React.ForwardRefExoticComponent<ProductCardProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=ProductCard.d.ts.map