"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: Radiobox', function () {
  var Radiobox = (0, _plasmaCyUtils.getComponent)('Radiobox');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Radiobox, null)));
    cy.matchImageSnapshot();
  });
  it('with focus', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      label: "checkbox with focus"
    })));
    cy.get('input').focus();
    cy.matchImageSnapshot();
  });
  it('__label', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      label: "simple radiobox"
    }), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      label: /*#__PURE__*/_react["default"].createElement("span", null, "radiobox with ", /*#__PURE__*/_react["default"].createElement("a", {
        href: "https://plasma.sberdevices.ru/"
      }, "link"))
    })));
    cy.matchImageSnapshot();
  });
  it('__description', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      label: "simple radiobox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      label: "simple radiobox",
      description: /*#__PURE__*/_react["default"].createElement("span", null, "\u041E\u0431 ", /*#__PURE__*/_react["default"].createElement("a", {
        href: "https://plasma.sberdevices.ru"
      }, "\u044D\u043B\u0435\u043A\u0442\u0440\u043E\u043E\u0432\u0446\u0430\u0445"))
    })));
    cy.matchImageSnapshot();
  });
  it('_checked', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      checked: true,
      label: "radiobox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      label: "radiobox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_focused', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      focused: true,
      label: "radiobox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "robots",
      focused: true,
      checked: true,
      label: "radiobox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      checked: true,
      disabled: true,
      label: "radiobox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      disabled: true,
      label: "radiobox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it(':id', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, {
      noSSR: true
    }, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "uniqId",
      label: "radiobox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.get('[name="uniqId"]').should('have.attr', 'id');
  });
  it('squeezes', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        overflow: 'hidden',
        width: 150
      }
    }, /*#__PURE__*/_react["default"].createElement(Radiobox, {
      checked: true,
      disabled: true,
      label: "Radiobox with a very very very very very long label",
      description: "Radiobox description with a very very very very very long text"
    }), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      disabled: true,
      label: "Radiobox 2",
      description: "Radiobox 2 description"
    }))));
    cy.matchImageSnapshot();
  });
});
describe('plasma-core: RadioGroup', function () {
  var Radiobox = (0, _plasmaCyUtils.getComponent)('Radiobox');
  var RadioGroup = (0, _plasmaCyUtils.getComponent)('RadioGroup');
  var H3 = (0, _plasmaCyUtils.getComponent)('Headline3');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(RadioGroup, {
      "aria-labelledby": "radiogroup-title-id"
    }, /*#__PURE__*/_react["default"].createElement(H3, {
      id: "radiogroup-title-id"
    }, "\u0417\u0430\u0433\u043E\u043B\u043E\u0432\u043E\u043A"), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "radio-1",
      label: "\u0420\u0430\u0434\u0438\u043E\u043A\u043D\u043E\u043F\u043A\u0430 1",
      description: "\u041E\u043F\u0438\u0441\u0430\u043D\u0438\u0435 1",
      defaultChecked: true
    }), /*#__PURE__*/_react["default"].createElement(Radiobox, {
      name: "radio-1",
      label: "\u0420\u0430\u0434\u0438\u043E\u043A\u043D\u043E\u043F\u043A\u0430 2",
      description: "\u041E\u043F\u0438\u0441\u0430\u043D\u0438\u0435 2"
    }))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=RadioboxBase.component-test.js.map