"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _react = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

describe('plasma-ui: Sheet', function () {
  var Sheet = (0, _plasmaCyUtils.getComponent)('Sheet');
  var Body1 = (0, _plasmaCyUtils.getComponent)('Body1');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Sheet, {
      isOpen: true
    }, /*#__PURE__*/_react["default"].createElement(Body1, null, "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae tempore vitae porro laboriosam consectetur fugiat assumenda, earum nesciunt. Distinctio minima nesciunt dicta rem quae vel illum ea fugit molestiae dolorem? Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quos nostrum placeat, neque repudiandae consectetur voluptates soluta et sint eum obcaecati nesciunt ullam, dolorem labore quaerat vero maxime ab ipsa nihil."))));
    cy.matchImageSnapshot();
  });

  var Interactive = function Interactive(_ref) {
    var withOverlay = _ref.withOverlay;

    var _useState = (0, _react.useState)(true),
        _useState2 = _slicedToArray(_useState, 2),
        open = _useState2[0],
        setOpen = _useState2[1];

    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", null, "Content"), /*#__PURE__*/_react["default"].createElement(Sheet, {
      id: "sheet",
      isOpen: open,
      withOverlay: withOverlay,
      onClose: function onClose() {
        return setOpen(false);
      }
    }, /*#__PURE__*/_react["default"].createElement(Body1, null, "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae tempore vitae porro laboriosam consectetur fugiat assumenda, earum nesciunt. Distinctio minima nesciunt dicta rem quae vel illum ea fugit molestiae dolorem? Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quos nostrum placeat, neque repudiandae consectetur voluptates soluta et sint eum obcaecati nesciunt ullam, dolorem labore quaerat vero maxime ab ipsa nihil.")));
  };

  it('onClose', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Interactive, null)));
    cy.root().click();
    cy.matchImageSnapshot();
  });
  it('onTouchMove', function () {
    cy.viewport('iphone-6');
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Interactive, null)));

    var touchEvent = function touchEvent(_ref2) {
      var clientX = _ref2.clientX,
          clientY = _ref2.clientY;
      return {
        changedTouches: {
          0: {
            clientX: clientX,
            clientY: clientY
          }
        }
      };
    }; // Handle


    cy.get('#sheet > div > div:first-child').trigger('touchstart', touchEvent({
      clientX: 180,
      clientY: 409
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 420
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 450
    })).trigger('touchend', touchEvent({
      clientX: 180,
      clientY: 450
    }));
    cy.matchImageSnapshot(':opened');
    cy.get('#sheet > div > div:first-child').trigger('touchstart', touchEvent({
      clientX: 180,
      clientY: 409
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 450
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 500
    })).trigger('touchend', touchEvent({
      clientX: 180,
      clientY: 500
    }));
    cy.matchImageSnapshot(':closed');
  });
  it('withoutOverlay', function () {
    cy.viewport('iphone-6');
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Interactive, {
      withOverlay: false
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Sheet.component-test.js.map