import React from 'react';
export interface SheetProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * Состояние шторки, открыта или скрыта
     */
    isOpen: boolean;
    /**
     * Обработчик закрытия шторки. Вызывается при клике по оверлею или смахиванию шторки вниз
     */
    onClose: () => void;
    /**
     * Наличие оверлея шторки. Если включен, то контент под шторкой перекрывается оверлеем, при нажатии на
     * который шторка закрывается.
     */
    withOverlay?: boolean;
}
/**
 * Открывает окно-шторку поверх основного экрана.
 * Только для СберБанк Онлайн и Сбер Салют.
 */
export declare const Sheet: React.FC<React.PropsWithChildren<SheetProps>>;
//# sourceMappingURL=Sheet.d.ts.map