"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _plasmaTokens = /*#__PURE__*/require("@sberdevices/plasma-tokens");

var _ = /*#__PURE__*/require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var textSizes = /*#__PURE__*/Object.keys(_plasmaTokens.typography);
var roundnessKeys = /*#__PURE__*/Object.keys(_.radiuses).map(function (r) {
  return Number(r);
});
describe('plasma-core: Skeleton', function () {
  describe('LineSkeleton', function () {
    var LineSkeleton = (0, _plasmaCyUtils.getComponent)('LineSkeleton');
    var Line = (0, _plasmaCyUtils.withNoAnimation)(LineSkeleton);
    it('simple', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Line, null)));
      cy.matchImageSnapshot();
    });
    it('_size', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, textSizes.map(function (size) {
        return /*#__PURE__*/_react["default"].createElement(Line, {
          key: size,
          size: size
        });
      })));
      cy.matchImageSnapshot();
    });
    it('_roundness', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, roundnessKeys.map(function (roundness) {
        return /*#__PURE__*/_react["default"].createElement(Line, {
          key: roundness,
          roundness: roundness
        });
      })));
      cy.matchImageSnapshot();
    });
  });
  describe('RectSkeleton', function () {
    var RectSkeleton = (0, _plasmaCyUtils.getComponent)('RectSkeleton');
    var Rect = (0, _plasmaCyUtils.withNoAnimation)(RectSkeleton);
    it('simple', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Rect, {
        width: "12rem",
        height: "8rem"
      })));
      cy.matchImageSnapshot();
    });
    it('_size', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Rect, {
        width: "12rem",
        height: "8rem"
      }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Rect, {
        width: 128,
        height: 128
      }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(Rect, {
        height: "8rem"
      })));
      cy.matchImageSnapshot();
    });
    it('_roundness', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, roundnessKeys.map(function (roundness) {
        return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(Rect, {
          key: roundness,
          width: "12rem",
          height: "2rem",
          roundness: roundness
        }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, {
          key: roundness
        }));
      })));
      cy.matchImageSnapshot();
    });
  });
  describe('TextSkeleton', function () {
    var TextSkeleton = (0, _plasmaCyUtils.getComponent)('TextSkeleton');
    var Text = (0, _plasmaCyUtils.withNoAnimation)(TextSkeleton);
    it('simple', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Text, null)));
      cy.matchImageSnapshot();
    });
    it('__lines', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 0
      }), /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 1
      }), /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 2
      }), /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 3
      }), /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 4
      })));
      cy.matchImageSnapshot();
    });
    it('__lines:20', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 20
      })));
      cy.matchImageSnapshot();
    });
    it('_size', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, textSizes.map(function (size) {
        return /*#__PURE__*/_react["default"].createElement(Text, {
          key: size,
          size: size
        });
      })));
      cy.matchImageSnapshot();
    });
    it('_roundness', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, roundnessKeys.map(function (roundness) {
        return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(Text, {
          key: roundness,
          roundness: roundness
        }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, {
          key: roundness
        }));
      })));
      cy.matchImageSnapshot();
    });
    it(':width', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 3,
        width: 50
      }), /*#__PURE__*/_react["default"].createElement(Text, {
        lines: 3,
        width: "2rem"
      })));
      cy.matchImageSnapshot();
    });
  });
  describe('withSkeleton', function () {
    var withSkeleton = (0, _plasmaCyUtils.getComponent)('withSkeleton');
    var Button = (0, _plasmaCyUtils.getComponent)('Button');
    var Btn = (0, _plasmaCyUtils.withNoAnimation)(withSkeleton(Button));
    it('simple', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Btn, {
        view: "primary",
        text: "Loading",
        skeleton: true
      }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Btn, {
        view: "primary",
        text: "Done"
      })));
      cy.matchImageSnapshot();
    });
  });
});
//# sourceMappingURL=SkeletonBase.component-test.js.map