"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var noop = function noop() {};

var dragAndDrop = function dragAndDrop(chainableSelector, coord) {
  chainableSelector.trigger('mousedown').trigger('mousemove', coord).trigger('mouseup');
};

describe('plasma-ui: Slider', function () {
  var Slider = (0, _plasmaCyUtils.getComponent)('Slider');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Slider, {
      value: 42,
      min: 0,
      max: 100
    })));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Slider, {
      disabled: true,
      value: 42,
      min: 0,
      max: 100
    })));
    cy.matchImageSnapshot();
  });
  it('double', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Slider, {
      value: [13, 42],
      min: 0,
      max: 100
    })));
    cy.matchImageSnapshot();
  });
  it('drag and drop with single', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Slider, {
      onChange: noop,
      onChangeCommitted: noop,
      value: 50,
      min: 0,
      max: 100
    })));
    dragAndDrop(cy.root(), {
      clientX: 350,
      clientY: 15
    });
    cy.matchImageSnapshot();
  });
  it('drag and drop without onChange', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Slider, {
      onChangeCommitted: noop,
      value: [0, 50],
      min: 0,
      max: 100
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Slider, {
      onChangeCommitted: noop,
      value: 50,
      min: 0,
      max: 100
    })));
    dragAndDrop(cy.root().get('div > div + div').first(), {
      clientX: 50,
      clientY: 15
    });
    dragAndDrop(cy.root().get('div > div + div').last(), {
      clientX: 350,
      clientY: 55
    });
    cy.matchImageSnapshot();
  });
  it('drag and drop with double', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Slider, {
      onChange: noop,
      onChangeCommitted: noop,
      value: [25, 75],
      min: 0,
      max: 100
    })));
    dragAndDrop(cy.root().get('div > div + div').first(), {
      clientX: 50,
      clientY: 15
    });
    dragAndDrop(cy.root().get('div > div + div').last(), {
      clientX: 450,
      clientY: 15
    });
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Slider.component-test.js.map