"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

var _plasmaTokens = /*#__PURE__*/require("@sberdevices/plasma-tokens");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: Spinner', function () {
  var Spinner = (0, _plasmaCyUtils.getComponent)('Spinner');
  var Spin = (0, _styledComponents["default"])(Spinner).withConfig({
    componentId: "plasma-ui__sc-1bewixm-0"
  })(["animation:none;"]);
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Spin, null)));
    cy.matchImageSnapshot();
  });
  it('_color', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Spin, {
      color: _plasmaTokens.critical
    })));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Spin, {
      size: 16
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Spin, {
      size: 32
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Spin, {
      size: 48
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Spin, {
      size: 64
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Spin, {
      size: "128px"
    })));
    cy.matchImageSnapshot();
  });
  it('id', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Spin, {
      size: 16,
      id: "16"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Spin, {
      size: 32,
      id: "32"
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=SpinnerBase.component-test.js.map