"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-ui: Stepper', function () {
  var Stepper = (0, _plasmaCyUtils.getComponent)('Stepper');
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Stepper, {
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('_pin', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Stepper, {
      pin: "square-square",
      value: 42
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Stepper, {
      pin: "circle-circle",
      value: 42
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Stepper, {
      pin: "square-clear",
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('_min _max', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Stepper, {
      min: 0,
      value: 0
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Stepper, {
      showRemove: true,
      min: 0,
      value: 0
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Stepper, {
      max: 42,
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Stepper, {
      disabled: true,
      min: 0,
      value: 0
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Stepper, {
      disabled: true,
      showRemove: true,
      min: 0,
      value: 0
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.PadMe, null), /*#__PURE__*/_react["default"].createElement(Stepper, {
      disabled: true,
      max: 42,
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('__formatter', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Stepper, {
      formatter: function formatter(val) {
        return "".concat(val, "%");
      },
      value: 42
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Stepper.component-test.js.map