import React from 'react';
interface StyledValueProps {
    /**
     * Неактивное состояние: состояние, при котором компонент отображается, но недоступен для действий пользователя
     */
    disabled?: boolean;
    /**
     * Состояние, когда значение контрола близко к предельному
     */
    showWarning?: boolean;
}
export interface StepperValueProps extends React.HTMLAttributes<HTMLDivElement>, StyledValueProps {
    /**
     * Выводимое значение
     */
    value: number;
    /**
     * Функция для форматирования отображаемого значения
     */
    formatter?: (value: number) => string;
}
/**
 * Компонент для отображения значения степпера.
 */
export declare const StepperValue: React.FC<StepperValueProps>;
export {};
//# sourceMappingURL=StepperValue.d.ts.map