"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabItem = exports.StyledTabItem = void 0;

var _react = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));

var _styledComponents = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("styled-components"));

var _plasmaCore = /*#__PURE__*/require("@sberdevices/plasma-core");

var _TabsAnimationContext = /*#__PURE__*/require("./TabsAnimationContext");

var _TabsSlider = /*#__PURE__*/require("./TabsSlider");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Элемент списка, недопустимо использовать вне компонента Tabs.
 */
var StyledTabItem = /*#__PURE__*/(0, _styledComponents["default"])(_plasmaCore.TabItem).withConfig({
  componentId: "plasma-ui__sc-2pai0l-0"
})(["", ";position:relative;height:var(--tab-item-height);padding:var(--tab-item-padding-y) var(--tab-item-padding-x);border-radius:var(--tab-item-border-radius);transition:", ";&:active ~ ", "{transform:", ";}", " &::before{content:'';position:absolute;top:calc(var(--tab-focus-border-size) * -1);left:calc(var(--tab-focus-border-size) * -1);right:calc(var(--tab-focus-border-size) * -1);bottom:calc(var(--tab-focus-border-size) * -1);display:block;box-sizing:content-box;border:var(--tab-focus-border-size) solid transparent;border-radius:var(--tab-item-outline-radius);transition:", ";pointer-events:none;}&.focus-visible,&[data-focus-visible-added]{&::before{box-shadow:0 0 0 var(--tab-focus-border-size) ", ";}}"], _plasmaCore.button2, function (_ref) {
  var theme = _ref.theme;
  return theme.lowPerformance ? 'unset' : 'background-color 0.3s ease-in-out, transform 0.1s ease-in-out';
}, _TabsSlider.StyledSlider, function (_ref2) {
  var disabled = _ref2.disabled;
  return disabled ? 'none' : 'scale(0.96)';
}, function (_ref3) {
  var animated = _ref3.animated,
      isActive = _ref3.isActive;
  return !animated && isActive && (0, _styledComponents.css)(["", ""], _TabsSlider.activeItemStyle);
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.lowPerformance ? 'unset' : 'box-shadow 0.2s ease-in-out';
}, _plasmaCore.buttonFocused);
/**
 * Элемент списка вкладок, недопустимо использовать вне компонента Tabs.
 */

exports.StyledTabItem = StyledTabItem;

var TabItem = function TabItem(props) {
  var ref = (0, _react.useRef)(null);

  var _useTabsAnimationCont = (0, _TabsAnimationContext.useTabsAnimationContext)(),
      refs = _useTabsAnimationCont.refs;

  (0, _react.useEffect)(function () {
    refs === null || refs === void 0 ? void 0 : refs.register(ref);
    return function () {
      return refs === null || refs === void 0 ? void 0 : refs.unregister(ref);
    };
  }, [refs]);
  return /*#__PURE__*/_react["default"].createElement(StyledTabItem, _extends({
    ref: ref
  }, props));
};

exports.TabItem = TabItem;
//# sourceMappingURL=TabItem.js.map