"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _react = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var items = [{
  label: 'Joy'
}, {
  label: 'Sber'
}, {
  label: 'Athena'
}];
describe('plasma-ui: Tabs', function () {
  var withAutoFocus = (0, _plasmaCyUtils.getComponent)('withAutoFocus');
  var addFocus = (0, _plasmaCyUtils.getComponent)('addFocus');
  var Tabs = (0, _plasmaCyUtils.getComponent)('Tabs');
  var TabItem = (0, _plasmaCyUtils.getComponent)('TabItem');
  var AutoFocusTabItem = withAutoFocus(TabItem);
  var StyledTabItem = (0, _styledComponents["default"])(TabItem).withConfig({
    componentId: "plasma-ui__sc-6w0qeh-0"
  })(["", ""], addFocus({
    outlineColor: 'red',
    outlineRadius: '1.125rem'
  }));

  var ControlledTabs = function ControlledTabs() {
    var _useState = (0, _react.useState)(0),
        _useState2 = _slicedToArray(_useState, 2),
        index = _useState2[0],
        setIndex = _useState2[1];

    return /*#__PURE__*/_react["default"].createElement(Tabs, {
      id: "tabs",
      animated: true,
      index: index,
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        forwardedAs: "li",
        isActive: index === i,
        onClick: function onClick() {
          return setIndex(2);
        }
      }, item.label);
    }));
  };

  it('_size', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, {
      size: "s",
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    })), /*#__PURE__*/_react["default"].createElement(Tabs, {
      size: "m",
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    })), /*#__PURE__*/_react["default"].createElement(Tabs, {
      size: "l",
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    }))));
    cy.matchImageSnapshot();
  });
  it('_pilled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, {
      pilled: true,
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    }))));
    cy.matchImageSnapshot();
  });
  it('_shifts', function () {
    var Helper = function Helper() {
      return /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          width: '50px',
          height: '50px',
          background: 'red'
        }
      });
    };

    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        display: 'flex'
      }
    }, /*#__PURE__*/_react["default"].createElement(Helper, null), /*#__PURE__*/_react["default"].createElement(Tabs, {
      shiftLeft: true,
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    }))), /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        display: 'flex'
      }
    }, /*#__PURE__*/_react["default"].createElement(Tabs, {
      shiftRight: true,
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    })), /*#__PURE__*/_react["default"].createElement(Helper, null))));
    cy.matchImageSnapshot();
  });
  it('item autoFocus', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, null, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(AutoFocusTabItem, {
        key: i,
        isActive: i === 1,
        autoFocus: i === 1
      }, item.label);
    }))));
    cy.get('div > button:nth-child(2)').focus();
    cy.matchImageSnapshot();
  });
  it('item autoFocus with pilled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, {
      pilled: true
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(AutoFocusTabItem, {
        key: i,
        isActive: i === 1,
        autoFocus: i === 1
      }, item.label);
    }))));
    cy.get('div > button:nth-child(2)').focus();
    cy.matchImageSnapshot();
  }); // Данный тест должен обязательно идти после проверки на autoFocus,
  // иначе фокус в предыдущих двух не будет работать

  it('item add styled focus', function () {
    function Demo() {
      var _React$useState = _react["default"].useState(1),
          _React$useState2 = _slicedToArray(_React$useState, 2),
          index = _React$useState2[0],
          setIndex = _React$useState2[1];

      return /*#__PURE__*/_react["default"].createElement(Tabs, null, items.map(function (item, i) {
        return /*#__PURE__*/_react["default"].createElement(StyledTabItem, {
          key: i,
          isActive: i === index,
          onClick: function onClick() {
            return setIndex(i);
          }
        }, item.label);
      }));
    }

    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Demo, null)));
    cy.get('div > button:nth-child(2)').focus();
    cy.get('div > button:nth-child(1)').focus().click({
      force: true
    });
    cy.matchImageSnapshot();
  });
  it('_animated', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ControlledTabs, null)));
    cy.get('ul > li:nth-child(2)').click();
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Tabs.component-test.js.map