"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tabs = void 0;

var _react = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));

var _TabsView = /*#__PURE__*/require("./TabsView");

var _TabItem = /*#__PURE__*/require("./TabItem");

var _TabsAnimationContext = /*#__PURE__*/require("./TabsAnimationContext");

var _TabsSlider = /*#__PURE__*/require("./TabsSlider");

var _excluded = ["children"],
    _excluded2 = ["index"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var isAnimatedProps = function isAnimatedProps(props) {
  return props.animated === true;
};
/**
 * Контейнер вкладок со слайдером
 */
// eslint-disable-next-line prefer-arrow-callback


var Tabs = /*#__PURE__*/(0, _react.forwardRef)(function Tabs(_ref, ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var refs = (0, _react.useMemo)(function () {
    return new _TabsAnimationContext.TabItemRefs();
  }, []);

  if (!isAnimatedProps(props)) {
    return /*#__PURE__*/_react["default"].createElement(_TabsView.TabsView, _extends({
      ref: ref
    }, props), children);
  }

  var index = props.index,
      rest = _objectWithoutProperties(props, _excluded2);

  var childrenArray = _react["default"].Children.toArray(children);

  var animatedChildren = childrenArray.map(function (child, i) {
    if ( /*#__PURE__*/_react["default"].isValidElement(child)) {
      return /*#__PURE__*/_react["default"].createElement(_TabItem.TabItem, _extends({
        animated: true,
        key: i
      }, child.props, {
        disabled: rest.disabled
      }));
    }

    return child;
  });
  return /*#__PURE__*/_react["default"].createElement(_TabsAnimationContext.TabsAnimationContext.Provider, {
    value: {
      refs: refs
    }
  }, /*#__PURE__*/_react["default"].createElement(_TabsView.TabsView, _extends({
    ref: ref
  }, rest), animatedChildren, /*#__PURE__*/_react["default"].createElement(_TabsSlider.TabsSlider, {
    index: index,
    disabled: rest.disabled
  })));
});
exports.Tabs = Tabs;
//# sourceMappingURL=Tabs.js.map