"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _react = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _plasmaIcons = /*#__PURE__*/require("@sberdevices/plasma-icons");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var items = [{
  label: 'Joy'
}, {
  label: 'Sber'
}, {
  label: 'Athena'
}];
describe('plasma-core: Tabs', function () {
  var Tabs = (0, _plasmaCyUtils.getComponent)('Tabs');
  var TabItem = (0, _plasmaCyUtils.getComponent)('TabItem');
  var TabsController = (0, _plasmaCyUtils.getComponent)('TabsController');

  var ControlledTabsController = function ControlledTabsController() {
    var _useState = (0, _react.useState)(0),
        _useState2 = _slicedToArray(_useState, 2),
        index = _useState2[0],
        setIndex = _useState2[1];

    return /*#__PURE__*/_react["default"].createElement(TabsController, {
      items: items,
      index: index,
      onIndexChange: function onIndexChange(i) {
        return setIndex(i);
      }
    });
  };

  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, {
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    }))));
    cy.matchImageSnapshot();
  });
  it('with icon', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, {
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li",
        contentLeft: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconDone, {
          size: "s",
          color: "inherit"
        })
      }, item.label);
    }))));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, {
      disabled: true,
      forwardedAs: "ul"
    }, items.map(function (item, i) {
      return /*#__PURE__*/_react["default"].createElement(TabItem, {
        key: i,
        isActive: i === 1,
        forwardedAs: "li"
      }, item.label);
    }))));
    cy.matchImageSnapshot();
  });
  it('controller', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ControlledTabsController, null)));
    cy.get('div > button:nth-child(2)').click();
    cy.matchImageSnapshot();
  });
  it('controller with keydown', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ControlledTabsController, null)));
    cy.root().get('[role="tablist"]').trigger('keydown', {
      keyCode: 13
    });
    cy.get('div > button:nth-child(1)').should('have.attr', 'tabindex', '0');
    cy.root().get('[role="tablist"]').trigger('keydown', {
      keyCode: 39
    });
    cy.get('div > button:nth-child(2)').should('have.attr', 'tabindex', '0');
    cy.root().get('[role="tablist"]').trigger('keydown', {
      keyCode: 37
    });
    cy.get('div > button:nth-child(1)').should('have.attr', 'tabindex', '0');
    cy.root().get('[role="tablist"]').trigger('keydown', {
      keyCode: 35
    });
    cy.get('div > button:nth-child(3)').should('have.attr', 'tabindex', '0');
    cy.root().get('[role="tablist"]').trigger('keydown', {
      keyCode: 36
    });
    cy.get('div > button:nth-child(1)').should('have.attr', 'tabindex', '0');
  });
  it('scrollable', function () {
    var Container = function Container(_ref) {
      var children = _ref.children;
      return /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          width: '75px'
        }
      }, children);
    };

    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Container, null, /*#__PURE__*/_react["default"].createElement(Tabs, null, /*#__PURE__*/_react["default"].createElement(TabItem, null, "Joy"), /*#__PURE__*/_react["default"].createElement(TabItem, {
      isActive: true
    }, "Sber"), /*#__PURE__*/_react["default"].createElement(TabItem, null, "Eva")))));
    cy.get('[role="tablist"]').parent().scrollTo(500, 0);
    cy.matchImageSnapshot();
  });
  it('_stretch', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Tabs, {
      stretch: true
    }, /*#__PURE__*/_react["default"].createElement(TabItem, null, "Joy"), /*#__PURE__*/_react["default"].createElement(TabItem, {
      isActive: true
    }, "Sber"), /*#__PURE__*/_react["default"].createElement(TabItem, null, "Eva"))));
    cy.matchImageSnapshot();
  });
  it('try click by disabled tabs', function () {
    var onIndexChange = cy.stub();
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TabsController, {
      items: items,
      index: 0,
      disabled: true,
      onIndexChange: onIndexChange
    })));
    cy.get('div > button:nth-child(2)').click({
      force: true
    }).then(function () {
      expect(onIndexChange).not.called;
    });
    cy.root().get('[role="tablist"]').trigger('keydown', {
      keyCode: 39
    }).then(function () {
      expect(onIndexChange).not.called;
    });
  });
});
//# sourceMappingURL=TabsBase.component-test.js.map