import { TabsProps as BaseTabsProps } from '@sberdevices/plasma-core';
import type { FocusProps, OutlinedProps, ShiftProps } from '@sberdevices/plasma-core';
import type { InteractionProps } from '../../mixins';
/**
 * Размеры для контейнера и айтемов (в css vars).
 * Паддинги айтемов дополнительно обыгрываются в TabItem.
 * Так нужно поступать, потому что у айтемов есть своя логика паддингов,
 * а размеры (свойство size) задаются через компонент Tabs.
 */
declare const sizes: {
    l: (stretch: boolean) => import("styled-components").FlattenSimpleInterpolation;
    m: (stretch: boolean) => import("styled-components").FlattenSimpleInterpolation;
    s: (stretch: boolean) => import("styled-components").FlattenSimpleInterpolation;
};
/**
 * Цвета контейнера.
 */
declare const views: {
    secondary: string;
    black: string;
    clear: string;
};
declare type TabsView = keyof typeof views;
declare type TabsSize = keyof typeof sizes;
export interface TabsViewProps extends BaseTabsProps, FocusProps, OutlinedProps, ShiftProps, Pick<InteractionProps, 'scaleOnPress'> {
    /**
     * Размер компонента
     */
    size?: TabsSize;
    /**
     * Вид компонента
     */
    view?: TabsView;
    /**
     * Кнопки табов и контейнер примут вид скругленных "капсул"
     */
    pilled?: boolean;
}
/**
 * Визуальная составляющая контейнера (списка) вкладок.
 */
export declare const TabsView: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<BaseTabsProps & import("react").RefAttributes<HTMLDivElement>>, any, TabsViewProps, never>;
export {};
//# sourceMappingURL=TabsView.d.ts.map