"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _plasmaIcons = /*#__PURE__*/require("@sberdevices/plasma-icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: TextArea', function () {
  var TextArea = (0, _plasmaCyUtils.getComponent)('TextArea');
  it('default', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.matchImageSnapshot();
  });
  it(':empty', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextArea, {
      placeholder: "Placeholder"
    })));
    cy.matchImageSnapshot();
  });
  it(':focused', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.get('textarea:first').focus();
    cy.matchImageSnapshot();
  });
  it(':disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      disabled: true
    })));
    cy.matchImageSnapshot();
  });
  it(':success, :warning, :error', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "success"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "warning"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "error"
    })));
    cy.matchImageSnapshot();
  });
  it('resize', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextArea, {
      resize: "horizontal",
      value: "horizontal",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconEye, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/_react["default"].createElement(TextArea, {
      resize: "vertical",
      value: "vertical",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconEye, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/_react["default"].createElement(TextArea, {
      resize: "both",
      value: "both",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconEye, {
        color: "inherit",
        size: "s"
      })
    })));
    cy.matchImageSnapshot();
  });
  it('contentRight', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconEye, {
        color: "inherit",
        size: "s"
      })
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TextArea.component-test.js.map