"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _plasmaTokens = /*#__PURE__*/require("@sberdevices/plasma-tokens");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var TextBox = /*#__PURE__*/(0, _plasmaCyUtils.getComponent)('TextBox');
var Caption = /*#__PURE__*/(0, _plasmaCyUtils.getComponent)('TextBoxCaption');
var Title = /*#__PURE__*/(0, _plasmaCyUtils.getComponent)('TextBoxTitle');
var SubTitle = /*#__PURE__*/(0, _plasmaCyUtils.getComponent)('TextBoxSubTitle');
var Label = /*#__PURE__*/(0, _plasmaCyUtils.getComponent)('TextBoxLabel');
var BigTitle = /*#__PURE__*/(0, _plasmaCyUtils.getComponent)('TextBoxBigTitle');
var BiggerTitle = /*#__PURE__*/(0, _plasmaCyUtils.getComponent)('TextBoxBiggerTitle');
var title = 'Hello World of Plasma';
var subTitle = 'Use with wisdom';
var caption = 'Скидка 42%';
var label = 'yes indeed';
describe('plasma-ui: TextBox', function () {
  it('simple', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextBox, {
      title: title,
      subTitle: subTitle
    })));
    cy.matchImageSnapshot();
  });
  it('__sub-title', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextBox, {
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(Title, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle)), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(Title, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, {
      color: _plasmaTokens.accent
    }, subTitle))));
    cy.matchImageSnapshot();
  });
  it('__caption', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextBox, {
      caption: caption,
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(Title, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle), /*#__PURE__*/_react["default"].createElement(Caption, null, caption)), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(Title, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle), /*#__PURE__*/_react["default"].createElement(Caption, {
      color: _plasmaTokens.accent
    }, caption))));
    cy.matchImageSnapshot();
  });
  it('__label', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextBox, {
      label: label,
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(Label, null, label), /*#__PURE__*/_react["default"].createElement(Title, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle)), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(Label, {
      color: _plasmaTokens.accent
    }, label), /*#__PURE__*/_react["default"].createElement(Title, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle))));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextBox, {
      size: "m",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, {
      size: "l",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(BigTitle, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle)), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement(TextBox, null, /*#__PURE__*/_react["default"].createElement(BiggerTitle, null, title), /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TextBox.component-test.js.map