"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextBox = exports.TextBoxRoot = exports.Caption = exports.SubTitle = exports.Label = exports.BiggerTitle = exports.BigTitle = exports.Title = void 0;

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));

var _plasmaTokens = /*#__PURE__*/require("@sberdevices/plasma-tokens");

var _Typography = /*#__PURE__*/require("../Typography");

var _excluded = ["label", "title", "subTitle", "caption", "size", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Title = /*#__PURE__*/(0, _styledComponents["default"])(_Typography.Body1).withConfig({
  componentId: "plasma-ui__sc-1lmz7wr-0"
})(["margin:0.125rem 0;color:", ";"], _plasmaTokens.primary);
exports.Title = Title;
var BigTitle = /*#__PURE__*/(0, _styledComponents["default"])(_Typography.Headline3).withConfig({
  componentId: "plasma-ui__sc-1lmz7wr-1"
})(["margin:0.5rem 0;color:", ";"], _plasmaTokens.primary);
exports.BigTitle = BigTitle;
var BiggerTitle = /*#__PURE__*/(0, _styledComponents["default"])(_Typography.Headline1).withConfig({
  componentId: "plasma-ui__sc-1lmz7wr-2"
})(["margin:0.5rem 0;color:", ";"], _plasmaTokens.primary);
exports.BiggerTitle = BiggerTitle;

var Label = /*#__PURE__*/_styledComponents["default"].div.withConfig({
  componentId: "plasma-ui__sc-1lmz7wr-3"
})(["margin:0.375rem 0;color:", ";"], function (_ref) {
  var color = _ref.color;
  return color || _plasmaTokens.secondary;
});

exports.Label = Label;
var SubTitle = /*#__PURE__*/(0, _styledComponents["default"])(_Typography.Footnote1).withConfig({
  componentId: "plasma-ui__sc-1lmz7wr-4"
})(["margin:0.125rem 0;color:", ";"], function (_ref2) {
  var color = _ref2.color;
  return color || _plasmaTokens.secondary;
});
exports.SubTitle = SubTitle;

var Caption = /*#__PURE__*/_styledComponents["default"].div.withConfig({
  componentId: "plasma-ui__sc-1lmz7wr-5"
})(["margin:0.25rem 0;color:", ";"], function (_ref3) {
  var color = _ref3.color;
  return color || _plasmaTokens.secondary;
});

exports.Caption = Caption;

var TextBoxRoot = /*#__PURE__*/_styledComponents["default"].div.withConfig({
  componentId: "plasma-ui__sc-1lmz7wr-6"
})(["& >:first-child{margin-top:0;}& >:last-child{margin-bottom:0;}"]);

exports.TextBoxRoot = TextBoxRoot;

/**
 * Компонент для отображения текста в скомпанованном блоке.
 */
var TextBox = function TextBox(_ref4) {
  var label = _ref4.label,
      title = _ref4.title,
      subTitle = _ref4.subTitle,
      caption = _ref4.caption,
      _ref4$size = _ref4.size,
      size = _ref4$size === void 0 ? 'm' : _ref4$size,
      children = _ref4.children,
      rest = _objectWithoutProperties(_ref4, _excluded);

  if (children) {
    return /*#__PURE__*/_react["default"].createElement(TextBoxRoot, rest, children);
  }

  var T = size === 'm' ? Title : BigTitle;
  return /*#__PURE__*/_react["default"].createElement(TextBoxRoot, rest, label && /*#__PURE__*/_react["default"].createElement(Label, null, label), title && /*#__PURE__*/_react["default"].createElement(T, null, title), subTitle && /*#__PURE__*/_react["default"].createElement(SubTitle, null, subTitle), caption && /*#__PURE__*/_react["default"].createElement(Caption, null, caption));
};

exports.TextBox = TextBox;
//# sourceMappingURL=TextBox.js.map