"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _plasmaIcons = /*#__PURE__*/require("@sberdevices/plasma-icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: TextField', function () {
  var TextField = (0, _plasmaCyUtils.getComponent)('TextField');
  it('default', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.matchImageSnapshot();
  });
  it(':empty', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextField, {
      placeholder: "Placeholder"
    })));
    cy.matchImageSnapshot();
  });
  it(':focused', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.get('input:first').focus();
    cy.matchImageSnapshot();
  });
  it(':disabled', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      disabled: true
    })));
    cy.matchImageSnapshot();
  });
  it(':readOnly', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      readOnly: true
    })));
    cy.matchImageSnapshot();
  });
  it(':success, :warning, :error', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "success"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "warning"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "error"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextField, {
      placeholder: "Placeholder",
      status: "success"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextField, {
      placeholder: "Placeholder",
      status: "warning"
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextField, {
      placeholder: "Placeholder",
      status: "error"
    })));
    cy.matchImageSnapshot();
  });
  it('content', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentLeft: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconSleep, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentLeft: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconSleep, {
        color: "inherit",
        size: "s"
      }),
      contentRight: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconEye, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.SpaceMe, null), /*#__PURE__*/_react["default"].createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconEye, {
        color: "inherit",
        size: "s"
      })
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TextField.component-test.js.map