"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

var _plasmaIcons = /*#__PURE__*/require("@sberdevices/plasma-icons");

var _plasmaTokensB2c = /*#__PURE__*/require("@sberdevices/plasma-tokens-b2c");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: Toast', function () {
  var Toast = (0, _plasmaCyUtils.getComponent)('Toast');
  var useToast = (0, _plasmaCyUtils.getComponent)('useToast');
  var ToastProvider = (0, _plasmaCyUtils.getComponent)('ToastProvider');
  it.skip('default', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Toast, {
      text: "Short Text Message Without Action"
    })));
    cy.matchImageSnapshot();
  });
  it.skip('__content-left', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Toast, {
      text: "Short Text Message Without Action",
      contentLeft: /*#__PURE__*/_react["default"].createElement(_plasmaIcons.IconClose, {
        size: "xs",
        color: _plasmaTokensB2c.critical
      })
    })));
    cy.matchImageSnapshot();
  });
  it.skip('_role', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(Toast, {
      role: "alert",
      text: "Short Text Message Without Action"
    }), /*#__PURE__*/_react["default"].createElement(Toast, {
      role: "log",
      text: "Short Text Message Without Action"
    }), /*#__PURE__*/_react["default"].createElement(Toast, {
      role: "status",
      text: "Short Text Message Without Action"
    })));
    cy.matchImageSnapshot();
  });
  describe('useToast', function () {
    var text = 'Short Text Message Without Action';
    var textLong = 'Long Text Message Without Action Long Text Message Without Action Long Text Message Without Action';
    var Button = (0, _plasmaCyUtils.getComponent)('Button');

    var Interactive = function Interactive(_ref) {
      var _text = _ref.text,
          position = _ref.position,
          timeout = _ref.timeout;

      var _useToast = useToast(),
          showToast = _useToast.showToast;

      return /*#__PURE__*/_react["default"].createElement(Button, {
        id: "show",
        text: "show",
        onClick: function onClick() {
          return showToast(_text, position, timeout);
        }
      });
    };

    it.skip('showToast', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ToastProvider, null, /*#__PURE__*/_react["default"].createElement(Interactive, {
        text: text
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(300);
      cy.matchImageSnapshot();
    });
    it.skip('_position', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ToastProvider, null, /*#__PURE__*/_react["default"].createElement(Interactive, {
        text: text,
        position: "top"
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(300);
      cy.matchImageSnapshot();
    });
    it.skip('dumm', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ToastProvider, null, /*#__PURE__*/_react["default"].createElement(Interactive, null))));
      cy.get('#show').click();
      cy.matchImageSnapshot();
    });
    it.skip('timeout', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ToastProvider, null, /*#__PURE__*/_react["default"].createElement(Interactive, {
        text: text,
        timeout: 0
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(600);
      cy.matchImageSnapshot();
    });
    it('two lines', function () {
      (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement(ToastProvider, null, /*#__PURE__*/_react["default"].createElement(Interactive, {
        text: textLong
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(300);
      cy.matchImageSnapshot();
    });
  });
});
//# sourceMappingURL=ToastBase.component-test.js.map