"use strict";

var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));

var _plasmaCyUtils = /*#__PURE__*/require("@sberdevices/plasma-cy-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('plasma-core: Typography', function () {
  var Body1 = (0, _plasmaCyUtils.getComponent)('Body1');
  var Body2 = (0, _plasmaCyUtils.getComponent)('Body2');
  var Button1 = (0, _plasmaCyUtils.getComponent)('Button1');
  var Button2 = (0, _plasmaCyUtils.getComponent)('Button2');
  var Caption = (0, _plasmaCyUtils.getComponent)('Caption');
  var Footnote1 = (0, _plasmaCyUtils.getComponent)('Footnote1');
  var Footnote2 = (0, _plasmaCyUtils.getComponent)('Footnote2');
  var Headline1 = (0, _plasmaCyUtils.getComponent)('Headline1');
  var Headline2 = (0, _plasmaCyUtils.getComponent)('Headline2');
  var Headline3 = (0, _plasmaCyUtils.getComponent)('Headline3');
  var Headline4 = (0, _plasmaCyUtils.getComponent)('Headline4');
  var ParagraphText1 = (0, _plasmaCyUtils.getComponent)('ParagraphText1');
  var ParagraphText2 = (0, _plasmaCyUtils.getComponent)('ParagraphText2');
  var Underline = (0, _plasmaCyUtils.getComponent)('Underline');
  it('Typography', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/_react["default"].createElement(Body1, null, "Hello Body 1"), /*#__PURE__*/_react["default"].createElement(Body2, null, "Hello Body 2"), /*#__PURE__*/_react["default"].createElement(Button1, null, "Hello Button 1"), /*#__PURE__*/_react["default"].createElement(Button2, null, "Hello Button 2"), /*#__PURE__*/_react["default"].createElement(Caption, null, "Hello Caption"), /*#__PURE__*/_react["default"].createElement(Footnote1, null, "Hello Footnote 1"), /*#__PURE__*/_react["default"].createElement(Footnote2, null, "Hello Footnote 2"), /*#__PURE__*/_react["default"].createElement(Headline1, null, "Hello Headline 1"), /*#__PURE__*/_react["default"].createElement(Headline2, null, "Hello Headline 2"), /*#__PURE__*/_react["default"].createElement(Headline3, null, "Hello Headline 3"), /*#__PURE__*/_react["default"].createElement(Headline4, null, "Hello Headline 4"), /*#__PURE__*/_react["default"].createElement(ParagraphText1, null, "Hello ParagraphText 1"), /*#__PURE__*/_react["default"].createElement(ParagraphText2, null, "Hello ParagraphText 2"), /*#__PURE__*/_react["default"].createElement(Underline, null, "Hello Underline")));
    cy.matchImageSnapshot();
  });

  var Container = function Container(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        width: '50px'
      }
    }, children);
  };

  it('Typography with breakWord', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/_react["default"].createElement(Container, null, /*#__PURE__*/_react["default"].createElement(Body1, {
      breakWord: true
    }, "Hello Body 1"), /*#__PURE__*/_react["default"].createElement(Button1, {
      breakWord: true
    }, "Hello Button 1"), /*#__PURE__*/_react["default"].createElement(Caption, {
      breakWord: true
    }, "Hello Caption"), /*#__PURE__*/_react["default"].createElement(Footnote1, {
      breakWord: true
    }, "Hello Footnote 1"), /*#__PURE__*/_react["default"].createElement(Headline1, {
      breakWord: true
    }, "Hello Headline 1"), /*#__PURE__*/_react["default"].createElement(ParagraphText1, {
      breakWord: true
    }, "Hello ParagraphText 1"), /*#__PURE__*/_react["default"].createElement(Underline, {
      breakWord: true
    }, "Hello Underline"))));
    cy.matchImageSnapshot();
  });
  it('Typography without breakWord', function () {
    (0, _plasmaCyUtils.mount)( /*#__PURE__*/_react["default"].createElement(_plasmaCyUtils.CypressTestDecorator, null, /*#__PURE__*/_react["default"].createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/_react["default"].createElement(Container, null, /*#__PURE__*/_react["default"].createElement(Body1, {
      breakWord: false
    }, "Hello Body 1"), /*#__PURE__*/_react["default"].createElement(Button1, {
      breakWord: false
    }, "Hello Button 1"), /*#__PURE__*/_react["default"].createElement(Caption, {
      breakWord: false
    }, "Hello Caption"), /*#__PURE__*/_react["default"].createElement(Footnote1, {
      breakWord: false
    }, "Hello Footnote 1"), /*#__PURE__*/_react["default"].createElement(Headline1, {
      breakWord: false
    }, "Hello Headline 1"), /*#__PURE__*/_react["default"].createElement(ParagraphText1, {
      breakWord: false
    }, "Hello ParagraphText 1"), /*#__PURE__*/_react["default"].createElement(Underline, {
      breakWord: false
    }, "Hello Underline"))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TypographyBase.component-test.js.map