/* eslint-disable */
import React from 'react';
import { IconEye } from '@sberdevices/plasma-icons';
import { mount, CypressTestDecorator, getComponent, PadMe, SpaceMe } from '@sberdevices/plasma-cy-utils';

var Icon = function Icon() {
  return /*#__PURE__*/React.createElement(IconEye, {
    color: "inherit",
    size: "xs"
  });
};

describe('plasma-core: Badge', function () {
  var Badge = getComponent('Badge');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Badge, {
      text: "Badge"
    })));
    cy.matchImageSnapshot();
  });
  it('with Icon', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Badge, {
      text: "Badge",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Badge, {
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('_sizes', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Badge, {
      text: "Badge_size_l",
      size: "l",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Badge, {
      text: "Badge_size_s",
      size: "s",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null)));
    cy.matchImageSnapshot();
  });
  it('_circled', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, "circled :", /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Badge, {
      circled: true,
      size: "l",
      text: "18"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Badge, {
      circled: true,
      size: "s",
      text: "18"
    }), /*#__PURE__*/React.createElement(PadMe, null), "simple :", /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Badge, {
      size: "l",
      text: "18"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Badge, {
      size: "s",
      text: "18"
    }), /*#__PURE__*/React.createElement(PadMe, null)));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=BadgeBase.component-test.js.map