import React from 'react';
import { IconDownload } from '@sberdevices/plasma-icons';
import { mount, CypressTestDecorator, getComponent, PadMe, SpaceMe } from '@sberdevices/plasma-cy-utils';

var Icon = function Icon() {
  return /*#__PURE__*/React.createElement(IconDownload, {
    color: "inherit"
  });
};

describe('plasma-ui: ActionButton', function () {
  var ActionButton = getComponent('ActionButton');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ActionButton, null, /*#__PURE__*/React.createElement(Icon, null))));
    cy.matchImageSnapshot();
  });
  it('_view', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ActionButton, {
      view: "secondary"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "secondary",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "primary"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "primary",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "success"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "success",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "warning"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "warning",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "critical"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "critical",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "checked"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "checked",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "overlay"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "overlay",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "clear"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      view: "clear",
      disabled: true
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null)));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ActionButton, {
      size: "l"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      size: "m"
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(ActionButton, {
      size: "s"
    }, /*#__PURE__*/React.createElement(Icon, null))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=ActionButton.component-test.js.map