import React from 'react';
import { IconDownload } from '@sberdevices/plasma-icons';
import { mount, CypressTestDecorator, getComponent, PadMe, SpaceMe } from '@sberdevices/plasma-cy-utils';

var Icon = function Icon() {
  return /*#__PURE__*/React.createElement(IconDownload, {
    color: "inherit"
  });
};

describe('plasma-core: Button', function () {
  var Button = getComponent('Button');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Button, null, "Hello Plasma")));
    cy.matchImageSnapshot();
  });
  it('with Icon', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Button, {
      text: "with Icon",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "with Icon",
      contentRight: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "with Icon",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null),
      contentRight: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      contentLeft: /*#__PURE__*/React.createElement(Icon, null),
      contentRight: /*#__PURE__*/React.createElement(Icon, null)
    }, "text as children"), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      contentLeft: /*#__PURE__*/React.createElement(Icon, null),
      contentRight: /*#__PURE__*/React.createElement(Icon, null)
    }, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, null, /*#__PURE__*/React.createElement(Icon, null)), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      contentRight: /*#__PURE__*/React.createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('_view', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Button, {
      view: "secondary",
      text: "Button_view_secondary",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "secondary",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "primary",
      text: "Button_view_primary",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "primary",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "success",
      text: "Button_view_success",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "success",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "warning",
      text: "Button_view_warning",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "warning",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "critical",
      text: "Button_view_critical",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "critical",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "checked",
      text: "Button_view_checked",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "checked",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "overlay",
      text: "Button_view_overlay",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "overlay",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "clear",
      text: "Button_view_clear",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      view: "clear",
      text: "_disabled",
      disabled: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null)));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Button, {
      text: "Button_size_l",
      size: "l",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "Button_size_m",
      size: "m",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "Button_size_s",
      size: "s",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null)));
    cy.matchImageSnapshot();
  });
  it('_shift', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "normal",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "_shift_left",
      shiftLeft: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "_shift_right",
      shiftRight: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Button, {
      text: "_shift_right & _shift_left",
      shiftLeft: true,
      shiftRight: true,
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('_pin', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Button, {
      pin: "square-square",
      text: "pin me",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      pin: "square-clear",
      text: "pin me",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      pin: "clear-square",
      text: "pin me",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      pin: "clear-clear",
      text: "pin me",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      pin: "clear-circle",
      text: "pin me",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      pin: "circle-clear",
      text: "pin me",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Button, {
      pin: "circle-circle",
      text: "pin me",
      contentLeft: /*#__PURE__*/React.createElement(Icon, null)
    })));
    cy.matchImageSnapshot();
  });
  it('withAutoFocus', function () {
    var withAutoFocus = getComponent('withAutoFocus');
    var Focused = withAutoFocus(Button);
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(Focused, {
      autoFocus: true,
      text: "Hello Plasma"
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=ButtonBase.component-test.js.map