import React from 'react';
import { mount, CypressTestDecorator, getComponent } from '@sberdevices/plasma-cy-utils';
var src = 'https://plasma.sberdevices.ru/ui-storybook/images/320_320_0.jpg';
var title = 'до 230 000 ₽';
var subTitle = 'На 18 месяцев, ставка 13,9%';
var longText = "\u041A\u0430\u043D\u0430\u0434\u0441\u043A\u0438\u0439 \u0430\u043A\u0442\u0451\u0440, \u043A\u0438\u043D\u043E\u043F\u0440\u043E\u0434\u044E\u0441\u0435\u0440, \u0438 \u043C\u0443\u0437\u044B\u043A\u0430\u043D\u0442. \u041D\u0430\u0438\u0431\u043E\u043B\u0435\u0435 \u0438\u0437\u0432\u0435\u0441\u0442\u0435\u043D \u0441\u0432\u043E\u0438\u043C\u0438 \u0440\u043E\u043B\u044F\u043C\u0438 \u0432 \u043A\u0438\u043D\u043E\u0441\u0435\u0440\u0438\u044F\u0445 \xAB\u041C\u0430\u0442\u0440\u0438\u0446\u0430\xBB \u0438\n\xAB\u0414\u0436\u043E\u043D \u0423\u0438\u043A\xBB, \u0430 \u0442\u0430\u043A\u0436\u0435 \u0432 \u0444\u0438\u043B\u044C\u043C\u0430\u0445 \xAB\u041D\u0430 \u0433\u0440\u0435\u0431\u043D\u0435 \u0432\u043E\u043B\u043D\u044B\xBB, \xAB\u041C\u043E\u0439 \u043B\u0438\u0447\u043D\u044B\u0439 \u0448\u0442\u0430\u0442 \u0410\u0439\u0434\u0430\u0445\u043E\xBB, \xAB\u0414\u0440\u0430\u043A\u0443\u043B\u0430\xBB, \xAB\u0421\u043A\u043E\u0440\u043E\u0441\u0442\u044C\xBB,\n\xAB\u0414\u0436\u043E\u043D\u043D\u0438-\u043C\u043D\u0435\u043C\u043E\u043D\u0438\u043A\xBB, \xAB\u0410\u0434\u0432\u043E\u043A\u0430\u0442 \u0434\u044C\u044F\u0432\u043E\u043B\u0430\xBB, \xAB\u041A\u043E\u043D\u0441\u0442\u0430\u043D\u0442\u0438\u043D: \u041F\u043E\u0432\u0435\u043B\u0438\u0442\u0435\u043B\u044C \u0442\u044C\u043C\u044B\xBB \u0438 \xAB\u041A\u043E\u0440\u043E\u043B\u0438 \u0443\u043B\u0438\u0446\xBB.";
describe('plasma-ui: Card', function () {
  var Card = getComponent('Card');
  var CardBody = getComponent('CardBody');
  var CardContent = getComponent('CardContent');
  var CardMedia = getComponent('CardMedia');
  var CardBadge = getComponent('CardBadge');
  var CardPrice = getComponent('CardPrice');
  var TextBox = getComponent('TextBox');
  var Button = getComponent('Button');
  var CardParagraph1 = getComponent('CardParagraph1');
  var CardParagraph2 = getComponent('CardParagraph2');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Card, {
      style: {
        width: '50%'
      },
      scaleOnFocus: true
    }, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardMedia, {
      src: src,
      placeholder: src,
      ratio: "1/1"
    }), /*#__PURE__*/React.createElement(CardBadge, {
      style: {
        left: '1rem',
        top: '1rem'
      },
      text: "2"
    }), /*#__PURE__*/React.createElement(CardContent, null, /*#__PURE__*/React.createElement(TextBox, {
      size: "l",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement(CardPrice, {
      price: 100,
      oldPrice: 200,
      count: 10,
      currency: "usd"
    }), /*#__PURE__*/React.createElement(Button, {
      text: "\u0414\u0430\u0439\u0442\u0435 \u0434\u0432\u0430",
      view: "primary",
      size: "s",
      stretch: true,
      style: {
        marginTop: '1em'
      }
    }))))));
    cy.matchImageSnapshot();
  });
  it('_cover', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Card, {
      style: {
        width: '50%'
      }
    }, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardMedia, {
      placeholder: src,
      ratio: "1/1"
    }), /*#__PURE__*/React.createElement(CardContent, {
      cover: true,
      coverGradient: true
    }, /*#__PURE__*/React.createElement(TextBox, {
      size: "l",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement(Button, {
      text: "\u0414\u0430\u0439\u0442\u0435 \u0434\u0432\u0430",
      view: "primary",
      size: "s",
      stretch: true,
      style: {
        marginTop: '1em'
      }
    }))))));
    cy.matchImageSnapshot();
  });
  it('_compact', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Card, {
      style: {
        width: '50%'
      }
    }, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardMedia, {
      src: src,
      placeholder: src,
      ratio: "1/1"
    }), /*#__PURE__*/React.createElement(CardContent, {
      compact: true
    }, /*#__PURE__*/React.createElement(TextBox, {
      size: "l",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement(Button, {
      text: "\u0414\u0430\u0439\u0442\u0435 \u0434\u0432\u0430",
      view: "primary",
      size: "s",
      stretch: true,
      style: {
        marginTop: '1em'
      }
    }))))));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Card, {
      style: {
        width: '50%'
      }
    }, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardMedia, {
      disabled: true,
      src: src,
      placeholder: src,
      ratio: "1/1"
    }), /*#__PURE__*/React.createElement(CardBadge, {
      style: {
        left: '1rem',
        top: '1rem'
      },
      text: "2"
    }), /*#__PURE__*/React.createElement(CardContent, {
      disabled: true
    }, /*#__PURE__*/React.createElement(TextBox, {
      size: "l",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement(Button, {
      text: "\u0414\u0430\u0439\u0442\u0435 \u0434\u0432\u0430",
      view: "primary",
      size: "s",
      stretch: true,
      style: {
        marginTop: '1em'
      }
    }))))));
    cy.matchImageSnapshot();
  });
  it('__typo', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Card, {
      style: {
        width: '50%'
      }
    }, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardMedia, {
      src: src,
      ratio: "1/1"
    }), /*#__PURE__*/React.createElement(CardContent, {
      cover: true,
      coverGradient: true
    }, /*#__PURE__*/React.createElement(CardParagraph1, {
      style: {
        marginTop: '0.75rem'
      },
      lines: 4
    }, longText), /*#__PURE__*/React.createElement(CardParagraph2, {
      style: {
        marginTop: '0.75rem'
      }
    }, longText), /*#__PURE__*/React.createElement(Button, {
      text: "\u0414\u0430\u0439\u0442\u0435 \u0434\u0432\u0430",
      view: "primary",
      size: "s",
      stretch: true,
      style: {
        marginTop: '1em'
      }
    }))))));
    cy.matchImageSnapshot();
  });
  it('__price', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Card, {
      style: {
        width: '50%'
      },
      scaleOnFocus: true
    }, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardMedia, {
      src: src,
      placeholder: src,
      ratio: "1/1"
    }), /*#__PURE__*/React.createElement(CardContent, null, /*#__PURE__*/React.createElement(CardPrice, {
      price: 100,
      oldPrice: 200,
      count: 10,
      currency: "usd"
    }), /*#__PURE__*/React.createElement(CardPrice, {
      price: 200,
      oldPrice: 100,
      currency: "rus"
    }), /*#__PURE__*/React.createElement(Button, {
      text: "\u0414\u0430\u0439\u0442\u0435 \u0434\u0432\u0430",
      view: "primary",
      size: "s",
      stretch: true,
      style: {
        marginTop: '1em'
      }
    }))))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Card.component-test.js.map