import React from 'react';
import { mount, CypressTestDecorator, getComponent } from '@sberdevices/plasma-cy-utils';
describe('plasma-core: Checkbox', function () {
  var Checkbox = getComponent('Checkbox');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, null)));
    cy.matchImageSnapshot();
  });
  it('with focus', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, {
      label: "checkbox with focus"
    })));
    cy.get('input').focus();
    cy.matchImageSnapshot();
  });
  it('__label', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, {
      label: "simple checkbox"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      label: /*#__PURE__*/React.createElement("span", null, "chekbox with ", /*#__PURE__*/React.createElement("a", {
        href: "https://plasma.sberdevices.ru/"
      }, "link"))
    })));
    cy.matchImageSnapshot();
  });
  it('__description', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, {
      label: "simple checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      label: "simple checkbox",
      description: /*#__PURE__*/React.createElement("span", null, "\u041E\u0431 ", /*#__PURE__*/React.createElement("a", {
        href: "https://plasma.sberdevices.ru/"
      }, "\u044D\u043B\u0435\u043A\u0442\u0440\u043E\u043E\u0432\u0446\u0430\u0445"))
    })));
    cy.matchImageSnapshot();
  });
  it('_checked', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, {
      checked: true,
      label: "checkbox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      label: "checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_focused', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, {
      focused: true,
      checked: true,
      label: "checkbox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      focused: true,
      label: "checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      focused: true,
      indeterminate: true,
      label: "indeterminate checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_indeterminate', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, {
      indeterminate: true,
      label: "indeterminate checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Checkbox, {
      checked: true,
      disabled: true,
      label: "checkbox checked",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      disabled: true,
      label: "checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      indeterminate: true,
      disabled: true,
      label: "indeterminate checkbox",
      description: "\u041E \u0447\u0451\u043C \u043C\u0435\u0447\u0442\u0430\u044E\u0442 \u0440\u043E\u0431\u043E\u0442\u044B?"
    })));
    cy.matchImageSnapshot();
  });
  it('squeezes', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("div", {
      style: {
        overflow: 'hidden',
        width: 150
      }
    }, /*#__PURE__*/React.createElement(Checkbox, {
      checked: true,
      disabled: true,
      label: "Checkbox with a very very very very very long label",
      description: "Checkbox description with a very very very very very long text"
    }), /*#__PURE__*/React.createElement(Checkbox, {
      disabled: true,
      label: "Checkbox 2",
      description: "Checkbox 2 description"
    }))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=CheckboxBase.component-test.js.map