import React from 'react';
import styled from 'styled-components';
import { mount, CypressTestDecorator, getComponent } from '@sberdevices/plasma-cy-utils';
var Filler = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-ui__sc-jf1jqu-0"
})(["box-sizing:border-box;display:flex;align-items:center;justify-content:center;width:100%;padding:0.5rem 1rem;background-color:rgba(255,255,255,0.06);"]);
describe('plasma-core: Grid', function () {
  var Container = getComponent('Container');
  var Row = getComponent('Row');
  var Col = getComponent('Col');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
      size: 1
    }, /*#__PURE__*/React.createElement(Filler, null, "1")), /*#__PURE__*/React.createElement(Col, {
      size: 2
    }, /*#__PURE__*/React.createElement(Filler, null, "2")), /*#__PURE__*/React.createElement(Col, {
      size: 3
    }, /*#__PURE__*/React.createElement(Filler, null, "3")), /*#__PURE__*/React.createElement(Col, {
      size: 4
    }, /*#__PURE__*/React.createElement(Filler, null, "4")), /*#__PURE__*/React.createElement(Col, {
      size: 2
    }, /*#__PURE__*/React.createElement(Filler, null, "2"))), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
      size: 3,
      offset: 1
    }, /*#__PURE__*/React.createElement(Filler, null, "3 offset 1")), /*#__PURE__*/React.createElement(Col, {
      size: 6,
      offset: 2
    }, /*#__PURE__*/React.createElement(Filler, null, "6 offset 2"))))));
    cy.matchImageSnapshot();
  });
});
describe('plasma-core: Grid _size', function () {
  var Container = getComponent('Container');
  var Row = getComponent('Row');
  var Col = getComponent('Col');

  var Grid = function Grid() {
    return /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
      sizeS: 1,
      sizeM: 2,
      sizeL: 3,
      sizeXL: 4
    }, /*#__PURE__*/React.createElement(Filler, null, "1")), /*#__PURE__*/React.createElement(Col, {
      size: 2,
      sizeXL: 4
    }, /*#__PURE__*/React.createElement(Filler, null, "2"))), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
      size: 3,
      offsetS: 1,
      offsetM: 2,
      offsetL: 3,
      offsetXL: 4
    }, /*#__PURE__*/React.createElement(Filler, null, "3 offset 1")), /*#__PURE__*/React.createElement(Col, {
      size: 6,
      offset: 2,
      offsetXL: 4
    }, /*#__PURE__*/React.createElement(Filler, null, "6 offset 2"))));
  };

  it('_S', function () {
    cy.viewport(375, 200);
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
  it('_M', function () {
    cy.viewport(1280, 200);
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
  it('_L', function () {
    cy.viewport(1920, 200);
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
  it('_XL', function () {
    cy.viewport(2000, 200);
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Grid, null)));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=GridBase.component-test.js.map