var _excluded = ["arrow", "onArrowClick", "logo", "logoAlt", "title", "subTitle", "children"];

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { HeaderRoot } from './HeaderRoot';
import { HeaderArrow } from './HeaderArrow';
import { HeaderLogo } from './HeaderLogo';
import { HeaderSubtitle } from './HeaderSubtitle';
import { HeaderTitle } from './HeaderTitle';
import { HeaderTitleWrapper } from './HeaderTitleWrapper';
import { HeaderContent } from './HeaderContent';

/**
 * Сборный компонент для отрисовки шапки страницы.
 * Уже включает в себя все составные части шапки.
 * Компонент реализован для упрощения работы с шапкой при разработке проекта на Typescript.
 * Изменения в свойствах:
 * * Имеет упрощенный интерфейс - свойства `back` и `minimize` заменены на свойство `arrow`;
 * * Обработчики клика по стрелке `onBackClick` и `onMinimizeClick` заменены на обработчик `onArrowClick`;
 * * Свойство `subtitle` переименовано в `subTitle`.
 * `NeuHeader` заменит собой исходный `Header` в будущих версиях.
 */
export var NeuHeader = function NeuHeader(_ref) {
  var arrow = _ref.arrow,
      onArrowClick = _ref.onArrowClick,
      logo = _ref.logo,
      logoAlt = _ref.logoAlt,
      title = _ref.title,
      subTitle = _ref.subTitle,
      children = _ref.children,
      rest = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(HeaderRoot, rest, /*#__PURE__*/React.createElement(HeaderArrow, {
    onClick: onArrowClick,
    arrow: arrow
  }), logo && /*#__PURE__*/React.createElement(HeaderLogo, {
    src: logo,
    alt: logoAlt
  }), title && /*#__PURE__*/React.createElement(HeaderTitleWrapper, null, /*#__PURE__*/React.createElement(HeaderTitle, null, title), subTitle && /*#__PURE__*/React.createElement(HeaderSubtitle, null, subTitle)), children && /*#__PURE__*/React.createElement(HeaderContent, null, children));
};
//# sourceMappingURL=NeuHeader.js.map