import React, { Fragment } from 'react';
import styled from 'styled-components';
import { mount, CypressTestDecorator, getComponent, PadMe } from '@sberdevices/plasma-cy-utils';
var src = 'https://plasma.sberdevices.ru/ui-storybook/images/320_320_0.jpg';
describe('plasma-core: Image', function () {
  var Image = getComponent('Image');
  var Why = styled.div.withConfig({
    componentId: "plasma-ui__sc-71uqdl-0"
  })(["width:8rem;display:inline-block;"]);
  beforeEach(function () {
    cy.intercept(src, function (req) {
      req.reply({
        fixture: 'images/320_320_0.jpg'
      });
    });
  });
  it('default', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Image, {
      src: src,
      width: "320px",
      height: "320px"
    })));
    cy.matchImageSnapshot();
  });
  it('div', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Image, {
      base: "div",
      src: src,
      width: "320px",
      height: "320px"
    })));
    cy.matchImageSnapshot();
  });
  it('_ratio', function () {
    var ratios = Object.keys({
      '1 / 1': '100',
      '1/1': '100',
      '3 / 4': '133.3333',
      '3/4': '133.3333',
      '4 / 3': '75',
      '4/3': '75',
      '9 / 16': '177.7778',
      '9/16': '177.7778',
      '16 / 9': '56.25',
      '16/9': '56.25',
      '1 / 2': '200',
      '1/2': '200',
      '2 / 1': '50',
      '2/1': '50'
    });
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, ratios.map(function (ratio) {
      return /*#__PURE__*/React.createElement(Fragment, {
        key: ratio
      }, /*#__PURE__*/React.createElement(Why, {
        key: "_base_div"
      }, /*#__PURE__*/React.createElement(Image, {
        base: "div",
        ratio: ratio,
        src: src
      })), /*#__PURE__*/React.createElement(Why, {
        key: "_base_img"
      }, /*#__PURE__*/React.createElement(Image, {
        ratio: ratio,
        src: src
      })), /*#__PURE__*/React.createElement(PadMe, null));
    })));
    cy.matchImageSnapshot();
  });
  it('_customRatio', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Why, {
      key: "_base_div"
    }, /*#__PURE__*/React.createElement(Image, {
      base: "div",
      customRatio: 75,
      src: src
    })), /*#__PURE__*/React.createElement(Why, {
      key: "_base_img"
    }, /*#__PURE__*/React.createElement(Image, {
      customRatio: 75,
      src: src
    })), /*#__PURE__*/React.createElement(PadMe, null)));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Image.component-test.js.map