import React from 'react';
import { mount, CypressTestDecorator, getComponent, PadMe } from '@sberdevices/plasma-cy-utils';
describe('plasma-core: Price', function () {
  var Price = getComponent('Price'); // TODO: why we need global styles on body ?

  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/React.createElement(Price, null, "12345.67")));
    cy.matchImageSnapshot();
  });
  it('_currency', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/React.createElement(Price, {
      currency: "rub"
    }, "12345.67"), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Price, {
      currency: "usd"
    }, "12345.67"), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Price, {
      currency: "eur"
    }, "12345.67")));
    cy.matchImageSnapshot();
  });
  it('_stroke', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/React.createElement(Price, {
      stroke: true
    }, "12345.67")));
    cy.matchImageSnapshot();
  });
  it('_minFraction', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/React.createElement(Price, {
      minimumFractionDigits: 4
    }, "12345.6789")));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=PriceBase.component-test.js.map