function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState } from 'react';
import { mount, CypressTestDecorator, getComponent } from '@sberdevices/plasma-cy-utils';
describe('plasma-ui: Sheet', function () {
  var Sheet = getComponent('Sheet');
  var Body1 = getComponent('Body1');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Sheet, {
      isOpen: true
    }, /*#__PURE__*/React.createElement(Body1, null, "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae tempore vitae porro laboriosam consectetur fugiat assumenda, earum nesciunt. Distinctio minima nesciunt dicta rem quae vel illum ea fugit molestiae dolorem? Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quos nostrum placeat, neque repudiandae consectetur voluptates soluta et sint eum obcaecati nesciunt ullam, dolorem labore quaerat vero maxime ab ipsa nihil."))));
    cy.matchImageSnapshot();
  });

  var Interactive = function Interactive(_ref) {
    var withOverlay = _ref.withOverlay;

    var _useState = useState(true),
        _useState2 = _slicedToArray(_useState, 2),
        open = _useState2[0],
        setOpen = _useState2[1];

    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", null, "Content"), /*#__PURE__*/React.createElement(Sheet, {
      id: "sheet",
      isOpen: open,
      withOverlay: withOverlay,
      onClose: function onClose() {
        return setOpen(false);
      }
    }, /*#__PURE__*/React.createElement(Body1, null, "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae tempore vitae porro laboriosam consectetur fugiat assumenda, earum nesciunt. Distinctio minima nesciunt dicta rem quae vel illum ea fugit molestiae dolorem? Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quos nostrum placeat, neque repudiandae consectetur voluptates soluta et sint eum obcaecati nesciunt ullam, dolorem labore quaerat vero maxime ab ipsa nihil.")));
  };

  it('onClose', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Interactive, null)));
    cy.root().click();
    cy.matchImageSnapshot();
  });
  it('onTouchMove', function () {
    cy.viewport('iphone-6');
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Interactive, null)));

    var touchEvent = function touchEvent(_ref2) {
      var clientX = _ref2.clientX,
          clientY = _ref2.clientY;
      return {
        changedTouches: {
          0: {
            clientX: clientX,
            clientY: clientY
          }
        }
      };
    }; // Handle


    cy.get('#sheet > div > div:first-child').trigger('touchstart', touchEvent({
      clientX: 180,
      clientY: 409
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 420
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 450
    })).trigger('touchend', touchEvent({
      clientX: 180,
      clientY: 450
    }));
    cy.matchImageSnapshot(':opened');
    cy.get('#sheet > div > div:first-child').trigger('touchstart', touchEvent({
      clientX: 180,
      clientY: 409
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 450
    })).trigger('touchmove', touchEvent({
      clientX: 180,
      clientY: 500
    })).trigger('touchend', touchEvent({
      clientX: 180,
      clientY: 500
    }));
    cy.matchImageSnapshot(':closed');
  });
  it('withoutOverlay', function () {
    cy.viewport('iphone-6');
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Interactive, {
      withOverlay: false
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Sheet.component-test.js.map