var _excluded = ["isOpen", "children", "onClose", "withOverlay"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import styled, { css } from 'styled-components';
import { overlay, primary, backgroundPrimary } from '@sberdevices/plasma-tokens';
import { useSheetSwipe } from './useSheetSwipe';
var StyledWrapper = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-ui__sc-1s2v90j-0"
})(["position:fixed;top:0;bottom:0;left:0;right:0;opacity:1;transition:", ";z-index:1000;", ""], function (_ref) {
  var theme = _ref.theme;
  return theme.lowPerformance ? 'unset' : 'all 0.5s 0.1s';
}, function (_ref2) {
  var isOpen = _ref2.isOpen;
  return !isOpen && css(["opacity:0;visibility:hidden;"]);
});
var StyledContentWrapper = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-ui__sc-1s2v90j-1"
})(["position:absolute;left:0;bottom:0;width:100%;max-height:100%;z-index:1;display:flex;flex-direction:column;justify-content:flex-end;transition:", ";", ""], function (_ref3) {
  var theme = _ref3.theme;
  return theme.lowPerformance ? 'unset' : 'transform 0.5s';
}, function (_ref4) {
  var isOpen = _ref4.isOpen;
  return !isOpen && css(["transform:translateY(100%);"]);
});
var StyledOverlay = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-ui__sc-1s2v90j-2"
})(["position:absolute;top:0;left:0;width:100%;height:100%;background-color:", ";"], overlay);
var StyledSheetContent = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-ui__sc-1s2v90j-3"
})(["border-radius:1.5rem 1.5rem 0 0;background-color:", ";padding:1rem;max-height:100%;overflow:auto;&::-webkit-scrollbar{display:none;}"], backgroundPrimary);
var StyledSheetHandle = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-ui__sc-1s2v90j-4"
})(["width:4rem;padding:0.25rem 0;opacity:0.65;align-self:center;&::before{content:'';display:block;border-radius:0.625rem;background-color:", ";height:0.25rem;}"], primary);
/**
 * Открывает окно-шторку поверх основного экрана.
 * Только для СберБанк Онлайн и Сбер Салют.
 */

export var Sheet = function Sheet(_ref5) {
  var isOpen = _ref5.isOpen,
      children = _ref5.children,
      onClose = _ref5.onClose,
      _ref5$withOverlay = _ref5.withOverlay,
      withOverlay = _ref5$withOverlay === void 0 ? true : _ref5$withOverlay,
      restProps = _objectWithoutProperties(_ref5, _excluded);

  var contentWrapperRef = React.useRef(null);
  var handleRef = React.useRef(null);
  useSheetSwipe({
    contentWrapperRef: contentWrapperRef,
    handleRef: handleRef,
    onClose: onClose
  });
  return /*#__PURE__*/React.createElement(StyledWrapper, _extends({
    isOpen: isOpen
  }, restProps), /*#__PURE__*/React.createElement(StyledContentWrapper, {
    isOpen: isOpen,
    ref: contentWrapperRef
  }, /*#__PURE__*/React.createElement(StyledSheetHandle, {
    ref: handleRef
  }), /*#__PURE__*/React.createElement(StyledSheetContent, null, children)), withOverlay && /*#__PURE__*/React.createElement(StyledOverlay, {
    onClick: onClose
  }));
};
//# sourceMappingURL=Sheet.js.map