import React from 'react';
import { mount, CypressTestDecorator, getComponent, PadMe } from '@sberdevices/plasma-cy-utils';
import styled from 'styled-components';
import { critical } from '@sberdevices/plasma-tokens';
describe('plasma-core: Spinner', function () {
  var Spinner = getComponent('Spinner');
  var Spin = styled(Spinner).withConfig({
    componentId: "plasma-ui__sc-1bewixm-0"
  })(["animation:none;"]);
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Spin, null)));
    cy.matchImageSnapshot();
  });
  it('_color', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Spin, {
      color: critical
    })));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Spin, {
      size: 16
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Spin, {
      size: 32
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Spin, {
      size: 48
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Spin, {
      size: 64
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Spin, {
      size: "128px"
    })));
    cy.matchImageSnapshot();
  });
  it('id', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Spin, {
      size: 16,
      id: "16"
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Spin, {
      size: 32,
      id: "32"
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=SpinnerBase.component-test.js.map