import React from 'react';
import { mount, CypressTestDecorator, getComponent, PadMe } from '@sberdevices/plasma-cy-utils';
describe('plasma-ui: Stepper', function () {
  var Stepper = getComponent('Stepper');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Stepper, {
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('_pin', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Stepper, {
      pin: "square-square",
      value: 42
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Stepper, {
      pin: "circle-circle",
      value: 42
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Stepper, {
      pin: "square-clear",
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('_min _max', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Stepper, {
      min: 0,
      value: 0
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Stepper, {
      showRemove: true,
      min: 0,
      value: 0
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Stepper, {
      max: 42,
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Stepper, {
      disabled: true,
      min: 0,
      value: 0
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Stepper, {
      disabled: true,
      showRemove: true,
      min: 0,
      value: 0
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Stepper, {
      disabled: true,
      max: 42,
      value: 42
    })));
    cy.matchImageSnapshot();
  });
  it('__formatter', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Stepper, {
      formatter: function formatter(val) {
        return "".concat(val, "%");
      },
      value: 42
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=Stepper.component-test.js.map