import React from 'react';
import { mount, CypressTestDecorator, getComponent, PadMe } from '@sberdevices/plasma-cy-utils';
describe('plasma-core: Switch', function () {
  var Switch = getComponent('Switch');
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Switch, {
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    })));
    cy.matchImageSnapshot();
  });
  it('_checked', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Switch, {
      checked: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    })));
    cy.matchImageSnapshot();
  });
  it('_focused', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Switch, {
      focused: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Switch, {
      focused: true,
      checked: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    })));
    cy.matchImageSnapshot();
  });
  it('_disabled', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Switch, {
      disabled: true,
      focused: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Switch, {
      disabled: true,
      focused: true,
      checked: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    })));
    cy.matchImageSnapshot();
  });
  it('_pressed', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Switch, {
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Switch, {
      pressed: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Switch, {
      checked: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    }), /*#__PURE__*/React.createElement(PadMe, null), /*#__PURE__*/React.createElement(Switch, {
      pressed: true,
      checked: true,
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    })));
    cy.matchImageSnapshot();
  });
  it('onClick', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Switch, {
      id: "switch",
      label: "\u041F\u0435\u0440\u0435\u043A\u043B\u044E\u0447\u0430\u0442\u0435\u043B\u044C"
    })));
    cy.matchImageSnapshot();
    cy.get('#switch').click();
    cy.matchImageSnapshot('clicked');
  });
});
//# sourceMappingURL=SwitchBase.component-test.js.map