import React from 'react';
import { mount, CypressTestDecorator, getComponent, SpaceMe } from '@sberdevices/plasma-cy-utils';
import { IconEye } from '@sberdevices/plasma-icons';
describe('plasma-core: TextArea', function () {
  var TextArea = getComponent('TextArea');
  it('default', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.matchImageSnapshot();
  });
  it(':empty', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextArea, {
      placeholder: "Placeholder"
    })));
    cy.matchImageSnapshot();
  });
  it(':focused', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.get('textarea:first').focus();
    cy.matchImageSnapshot();
  });
  it(':disabled', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      disabled: true
    })));
    cy.matchImageSnapshot();
  });
  it(':success, :warning, :error', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "success"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "warning"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "error"
    })));
    cy.matchImageSnapshot();
  });
  it('resize', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextArea, {
      resize: "horizontal",
      value: "horizontal",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/React.createElement(IconEye, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/React.createElement(TextArea, {
      resize: "vertical",
      value: "vertical",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/React.createElement(IconEye, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/React.createElement(TextArea, {
      resize: "both",
      value: "both",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/React.createElement(IconEye, {
        color: "inherit",
        size: "s"
      })
    })));
    cy.matchImageSnapshot();
  });
  it('contentRight', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextArea, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/React.createElement(IconEye, {
        color: "inherit",
        size: "s"
      })
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TextArea.component-test.js.map