import React from 'react';
import { mount, CypressTestDecorator, getComponent } from '@sberdevices/plasma-cy-utils';
import { accent } from '@sberdevices/plasma-tokens';
var TextBox = /*#__PURE__*/getComponent('TextBox');
var Caption = /*#__PURE__*/getComponent('TextBoxCaption');
var Title = /*#__PURE__*/getComponent('TextBoxTitle');
var SubTitle = /*#__PURE__*/getComponent('TextBoxSubTitle');
var Label = /*#__PURE__*/getComponent('TextBoxLabel');
var BigTitle = /*#__PURE__*/getComponent('TextBoxBigTitle');
var BiggerTitle = /*#__PURE__*/getComponent('TextBoxBiggerTitle');
var title = 'Hello World of Plasma';
var subTitle = 'Use with wisdom';
var caption = 'Скидка 42%';
var label = 'yes indeed';
describe('plasma-ui: TextBox', function () {
  it('simple', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextBox, {
      title: title,
      subTitle: subTitle
    })));
    cy.matchImageSnapshot();
  });
  it('__sub-title', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextBox, {
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(Title, null, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle)), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(Title, null, title), /*#__PURE__*/React.createElement(SubTitle, {
      color: accent
    }, subTitle))));
    cy.matchImageSnapshot();
  });
  it('__caption', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextBox, {
      caption: caption,
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(Title, null, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle), /*#__PURE__*/React.createElement(Caption, null, caption)), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(Title, null, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle), /*#__PURE__*/React.createElement(Caption, {
      color: accent
    }, caption))));
    cy.matchImageSnapshot();
  });
  it('__label', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextBox, {
      label: label,
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(Label, null, label), /*#__PURE__*/React.createElement(Title, null, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle)), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(Label, {
      color: accent
    }, label), /*#__PURE__*/React.createElement(Title, null, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle))));
    cy.matchImageSnapshot();
  });
  it('_size', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextBox, {
      size: "m",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, {
      size: "l",
      title: title,
      subTitle: subTitle
    }), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(BigTitle, null, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle)), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement(TextBox, null, /*#__PURE__*/React.createElement(BiggerTitle, null, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TextBox.component-test.js.map