import React from 'react';
import { mount, CypressTestDecorator, getComponent, SpaceMe } from '@sberdevices/plasma-cy-utils';
import { IconSleep, IconEye } from '@sberdevices/plasma-icons';
describe('plasma-core: TextField', function () {
  var TextField = getComponent('TextField');
  it('default', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.matchImageSnapshot();
  });
  it(':empty', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextField, {
      placeholder: "Placeholder"
    })));
    cy.matchImageSnapshot();
  });
  it(':focused', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text"
    })));
    cy.get('input:first').focus();
    cy.matchImageSnapshot();
  });
  it(':disabled', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      disabled: true
    })));
    cy.matchImageSnapshot();
  });
  it(':readOnly', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      readOnly: true
    })));
    cy.matchImageSnapshot();
  });
  it(':success, :warning, :error', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "success"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "warning"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      status: "error"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextField, {
      placeholder: "Placeholder",
      status: "success"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextField, {
      placeholder: "Placeholder",
      status: "warning"
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextField, {
      placeholder: "Placeholder",
      status: "error"
    })));
    cy.matchImageSnapshot();
  });
  it('content', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentLeft: /*#__PURE__*/React.createElement(IconSleep, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentLeft: /*#__PURE__*/React.createElement(IconSleep, {
        color: "inherit",
        size: "s"
      }),
      contentRight: /*#__PURE__*/React.createElement(IconEye, {
        color: "inherit",
        size: "s"
      })
    }), /*#__PURE__*/React.createElement(SpaceMe, null), /*#__PURE__*/React.createElement(TextField, {
      value: "Value",
      placeholder: "Placeholder",
      helperText: "Helper text",
      contentRight: /*#__PURE__*/React.createElement(IconEye, {
        color: "inherit",
        size: "s"
      })
    })));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TextField.component-test.js.map