import React from 'react';
import { mount, CypressTestDecorator, getComponent } from '@sberdevices/plasma-cy-utils';
import { IconClose } from '@sberdevices/plasma-icons';
import { critical } from '@sberdevices/plasma-tokens-b2c';
describe('plasma-core: Toast', function () {
  var Toast = getComponent('Toast');
  var useToast = getComponent('useToast');
  var ToastProvider = getComponent('ToastProvider');
  it.skip('default', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Toast, {
      text: "Short Text Message Without Action"
    })));
    cy.matchImageSnapshot();
  });
  it.skip('__content-left', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Toast, {
      text: "Short Text Message Without Action",
      contentLeft: /*#__PURE__*/React.createElement(IconClose, {
        size: "xs",
        color: critical
      })
    })));
    cy.matchImageSnapshot();
  });
  it.skip('_role', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(Toast, {
      role: "alert",
      text: "Short Text Message Without Action"
    }), /*#__PURE__*/React.createElement(Toast, {
      role: "log",
      text: "Short Text Message Without Action"
    }), /*#__PURE__*/React.createElement(Toast, {
      role: "status",
      text: "Short Text Message Without Action"
    })));
    cy.matchImageSnapshot();
  });
  describe('useToast', function () {
    var text = 'Short Text Message Without Action';
    var textLong = 'Long Text Message Without Action Long Text Message Without Action Long Text Message Without Action';
    var Button = getComponent('Button');

    var Interactive = function Interactive(_ref) {
      var _text = _ref.text,
          position = _ref.position,
          timeout = _ref.timeout;

      var _useToast = useToast(),
          showToast = _useToast.showToast;

      return /*#__PURE__*/React.createElement(Button, {
        id: "show",
        text: "show",
        onClick: function onClick() {
          return showToast(_text, position, timeout);
        }
      });
    };

    it.skip('showToast', function () {
      mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ToastProvider, null, /*#__PURE__*/React.createElement(Interactive, {
        text: text
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(300);
      cy.matchImageSnapshot();
    });
    it.skip('_position', function () {
      mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ToastProvider, null, /*#__PURE__*/React.createElement(Interactive, {
        text: text,
        position: "top"
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(300);
      cy.matchImageSnapshot();
    });
    it.skip('dumm', function () {
      mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ToastProvider, null, /*#__PURE__*/React.createElement(Interactive, null))));
      cy.get('#show').click();
      cy.matchImageSnapshot();
    });
    it.skip('timeout', function () {
      mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ToastProvider, null, /*#__PURE__*/React.createElement(Interactive, {
        text: text,
        timeout: 0
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(600);
      cy.matchImageSnapshot();
    });
    it('two lines', function () {
      mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement(ToastProvider, null, /*#__PURE__*/React.createElement(Interactive, {
        text: textLong
      }))));
      cy.get('#show').click(); // eslint-disable-next-line cypress/no-unnecessary-waiting

      cy.wait(300);
      cy.matchImageSnapshot();
    });
  });
});
//# sourceMappingURL=ToastBase.component-test.js.map