import React from 'react';
import { mount, CypressTestDecorator, getComponent } from '@sberdevices/plasma-cy-utils';
describe('plasma-core: Typography', function () {
  var Body1 = getComponent('Body1');
  var Body2 = getComponent('Body2');
  var Button1 = getComponent('Button1');
  var Button2 = getComponent('Button2');
  var Caption = getComponent('Caption');
  var Footnote1 = getComponent('Footnote1');
  var Footnote2 = getComponent('Footnote2');
  var Headline1 = getComponent('Headline1');
  var Headline2 = getComponent('Headline2');
  var Headline3 = getComponent('Headline3');
  var Headline4 = getComponent('Headline4');
  var ParagraphText1 = getComponent('ParagraphText1');
  var ParagraphText2 = getComponent('ParagraphText2');
  var Underline = getComponent('Underline');
  it('Typography', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/React.createElement(Body1, null, "Hello Body 1"), /*#__PURE__*/React.createElement(Body2, null, "Hello Body 2"), /*#__PURE__*/React.createElement(Button1, null, "Hello Button 1"), /*#__PURE__*/React.createElement(Button2, null, "Hello Button 2"), /*#__PURE__*/React.createElement(Caption, null, "Hello Caption"), /*#__PURE__*/React.createElement(Footnote1, null, "Hello Footnote 1"), /*#__PURE__*/React.createElement(Footnote2, null, "Hello Footnote 2"), /*#__PURE__*/React.createElement(Headline1, null, "Hello Headline 1"), /*#__PURE__*/React.createElement(Headline2, null, "Hello Headline 2"), /*#__PURE__*/React.createElement(Headline3, null, "Hello Headline 3"), /*#__PURE__*/React.createElement(Headline4, null, "Hello Headline 4"), /*#__PURE__*/React.createElement(ParagraphText1, null, "Hello ParagraphText 1"), /*#__PURE__*/React.createElement(ParagraphText2, null, "Hello ParagraphText 2"), /*#__PURE__*/React.createElement(Underline, null, "Hello Underline")));
    cy.matchImageSnapshot();
  });

  var Container = function Container(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React.createElement("div", {
      style: {
        width: '50px'
      }
    }, children);
  };

  it('Typography with breakWord', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Body1, {
      breakWord: true
    }, "Hello Body 1"), /*#__PURE__*/React.createElement(Button1, {
      breakWord: true
    }, "Hello Button 1"), /*#__PURE__*/React.createElement(Caption, {
      breakWord: true
    }, "Hello Caption"), /*#__PURE__*/React.createElement(Footnote1, {
      breakWord: true
    }, "Hello Footnote 1"), /*#__PURE__*/React.createElement(Headline1, {
      breakWord: true
    }, "Hello Headline 1"), /*#__PURE__*/React.createElement(ParagraphText1, {
      breakWord: true
    }, "Hello ParagraphText 1"), /*#__PURE__*/React.createElement(Underline, {
      breakWord: true
    }, "Hello Underline"))));
    cy.matchImageSnapshot();
  });
  it('Typography without breakWord', function () {
    mount( /*#__PURE__*/React.createElement(CypressTestDecorator, null, /*#__PURE__*/React.createElement("style", null, "\n                    body {\n                        font-family: \"SB Sans Text\", sans-serif;\n                    }\n                "), /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Body1, {
      breakWord: false
    }, "Hello Body 1"), /*#__PURE__*/React.createElement(Button1, {
      breakWord: false
    }, "Hello Button 1"), /*#__PURE__*/React.createElement(Caption, {
      breakWord: false
    }, "Hello Caption"), /*#__PURE__*/React.createElement(Footnote1, {
      breakWord: false
    }, "Hello Footnote 1"), /*#__PURE__*/React.createElement(Headline1, {
      breakWord: false
    }, "Hello Headline 1"), /*#__PURE__*/React.createElement(ParagraphText1, {
      breakWord: false
    }, "Hello ParagraphText 1"), /*#__PURE__*/React.createElement(Underline, {
      breakWord: false
    }, "Hello Underline"))));
    cy.matchImageSnapshot();
  });
});
//# sourceMappingURL=TypographyBase.component-test.js.map