declare type ShortKey = 'UP' | 'DOWN' | 'LEFT' | 'RIGHT' | 'OK';
declare type LongKey = 'LONG_UP' | 'LONG_DOWN' | 'LONG_LEFT' | 'LONG_RIGHT' | 'LONG_OK';
declare type JumpKey = 'PAGE_UP' | 'PAGE_DOWN' | 'HOME' | 'END';
export declare type RemoteKey = ShortKey | LongKey | JumpKey;
/**
 * Создает слушателя событий клавиатуры,
 * который вызывает коллбек при нажатии кнопок навигации.
 * @param {Function} cb
 * @param {number} keypressTimeMs
 * @return {void}
 */
export declare const useRemoteListener: (cb: (key: RemoteKey, event: KeyboardEvent) => void, keypressTimeMs?: number) => void;
export {};
//# sourceMappingURL=useRemoteListener.d.ts.map