export declare const deviceScales: {
    sberPortal: number;
    sberBox: number;
    mobile: number;
};
export declare type DeviceKind = keyof typeof deviceScales;
/**
 * Проверка в браузере на устройство "SberPortal".
 * @return {boolean}
 */
export declare const isSberPortal: () => boolean;
/**
 * Проверка в браузере на устройство "SberBox".
 * @return {boolean}
 */
export declare const isSberBox: () => boolean;
/**
 * Проверка в браузере на устройство "SberBoxTop".
 * @return {boolean}
 */
export declare const isSberBoxTop: () => boolean;
/**
 * Проверка в браузере на устройство "SberBoxTV".
 * @return {boolean}
 */
export declare const isTV: () => boolean;
/**
 * Вернет тип устройства, под которым запустилось приложение.
 * В случае запуска в серверном окружении, возвращает "sberBox".
 * @return {DeviceKind}
 */
export declare const detectDevice: () => DeviceKind;
//# sourceMappingURL=deviceDetection.d.ts.map